#  MINLP written by GAMS Convert at 05/24/17 14:04:41
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         49       11        4       34        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         17       11        6        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        112       94       18        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x2 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x3 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x4 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x5 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x6 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x7 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x8 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x9 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x10 = Var(within=Reals,bounds=(0,None),initialize=0)
m.b11 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b12 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b13 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b14 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b15 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b16 = Var(within=Binary,bounds=(0,1),initialize=0)

m.obj = Objective(expr=   20*m.x5 + 40*m.b11, sense=minimize)

m.c2 = Constraint(expr=   m.x2 >= 4000)

m.c3 = Constraint(expr=   m.x3 >= 4000)

m.c4 = Constraint(expr=   m.x4 >= 4000)

m.c5 = Constraint(expr=   m.x2 <= 7500)

m.c6 = Constraint(expr=   m.x3 <= 7500)

m.c7 = Constraint(expr=   m.x4 <= 7500)

m.c8 = Constraint(expr=   m.x1 == 7500)

m.c9 = Constraint(expr=   m.b11 + m.b12 <= 1)

m.c10 = Constraint(expr=   m.b11 + m.b12 <= 1)

m.c11 = Constraint(expr=   m.b13 + m.b15 <= 1)

m.c12 = Constraint(expr=   m.b14 + m.b16 <= 1)

m.c13 = Constraint(expr=   m.b13 + m.b15 <= 1)

m.c14 = Constraint(expr=   m.b14 + m.b16 <= 1)

m.c15 = Constraint(expr=   m.x5 - 100000000*m.b11 <= 0)

m.c16 = Constraint(expr=   m.x6 - 100000000*m.b12 <= 0)

m.c17 = Constraint(expr=   m.x7 - 100000000*m.b13 <= 0)

m.c18 = Constraint(expr=   m.x8 - 100000000*m.b14 <= 0)

m.c19 = Constraint(expr=   m.x9 - 100000000*m.b15 <= 0)

m.c20 = Constraint(expr=   m.x10 - 100000000*m.b16 <= 0)

m.c21 = Constraint(expr= - 100000000*m.x5 + m.b11 <= 0)

m.c22 = Constraint(expr= - 100000000*m.x6 + m.b12 <= 0)

m.c23 = Constraint(expr= - 100000000*m.x7 + m.b13 <= 0)

m.c24 = Constraint(expr= - 100000000*m.x8 + m.b14 <= 0)

m.c25 = Constraint(expr= - 100000000*m.x9 + m.b15 <= 0)

m.c26 = Constraint(expr= - 100000000*m.x10 + m.b16 <= 0)

m.c27 = Constraint(expr=   m.x1 - m.x2 - 100000000*m.b11 <= 0)

m.c28 = Constraint(expr= - m.x1 + m.x2 - 100000000*m.b12 <= 0)

m.c29 = Constraint(expr=   m.x2 - m.x3 - 100000000*m.b13 <= 0)

m.c30 = Constraint(expr=   m.x2 - m.x4 - 100000000*m.b14 <= 0)

m.c31 = Constraint(expr= - m.x2 + m.x3 - 100000000*m.b15 <= 0)

m.c32 = Constraint(expr= - m.x2 + m.x4 - 100000000*m.b16 <= 0)

m.c33 = Constraint(expr= - m.x1 + m.x2 + 100000000*m.b11 <= 100000000)

m.c34 = Constraint(expr=   m.x1 - m.x2 + 100000000*m.b12 <= 100000000)

m.c35 = Constraint(expr= - m.x2 + m.x3 + 100000000*m.b13 <= 100000000)

m.c36 = Constraint(expr= - m.x2 + m.x4 + 100000000*m.b14 <= 100000000)

m.c37 = Constraint(expr=   m.x2 - m.x3 + 100000000*m.b15 <= 100000000)

m.c38 = Constraint(expr=   m.x2 - m.x4 + 100000000*m.b16 <= 100000000)

m.c39 = Constraint(expr=   m.x7 - m.x9 == 2000000)

m.c40 = Constraint(expr=   m.x8 - m.x10 == 3000000)

m.c41 = Constraint(expr=   m.x5 - m.x6 - m.x7 - m.x8 + m.x9 + m.x10 == 0)

m.c42 = Constraint(expr=   m.x5 >= 0)

m.c43 = Constraint(expr=   m.x5 <= 8000000)

m.c44 = Constraint(expr=m.x1*m.x1 - m.x2*m.x2 - 0.249149*m.x5*m.x5 == 0)

m.c45 = Constraint(expr=m.x2*m.x2 - m.x1*m.x1 - 0.249149*m.x6*m.x6 == 0)

m.c46 = Constraint(expr=m.x2*m.x2 - m.x3*m.x3 - 0.249149*m.x7*m.x7 == 0)

m.c47 = Constraint(expr=m.x2*m.x2 - m.x4*m.x4 - 0.249149*m.x8*m.x8 == 0)

m.c48 = Constraint(expr=m.x3*m.x3 - m.x2*m.x2 - 0.249149*m.x9*m.x9 == 0)

m.c49 = Constraint(expr=m.x4*m.x4 - m.x2*m.x2 - 0.249149*m.x10*m.x10 == 0)
