#  NLP written by GAMS Convert at 05/24/17 14:05:12
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         40       40        0        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         21       21        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        348       38      310        0


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0,10),initialize=0)
m.x2 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x3 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x4 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x5 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x6 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x7 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x8 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x9 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x10 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x11 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x12 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x13 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x14 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x15 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x16 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x17 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x18 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x19 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x20 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x21 = Var(within=Reals,bounds=(-1,1),initialize=0)

m.obj = Objective(expr=m.x1, sense=minimize)

m.c1 = Constraint(expr=m.x2*m.x2 - m.x12*m.x12 + 2*m.x2*m.x4 + 2*m.x12*m.x14 + 2*m.x3*m.x5 + 2*m.x13*m.x15 + 2*m.x4*m.x6
                        + 2*m.x14*m.x16 + 2*m.x5*m.x7 + 2*m.x15*m.x17 + 2*m.x8*m.x6 + 2*m.x18*m.x16 + 2*m.x9*m.x7 + 2*
                       m.x19*m.x17 + 2*m.x10*m.x8 + 2*m.x20*m.x18 + 2*m.x11*m.x9 + 2*m.x21*m.x19 + 2*m.x10 + m.x11*m.x11
                        - m.x21*m.x21 - 2*m.x1*m.x3 == 0)

m.c2 = Constraint(expr=2*m.x2*m.x4 - 2*m.x12*m.x14 + m.x3*m.x3 - m.x13*m.x13 + 2*m.x2*m.x6 + 2*m.x12*m.x16 + 2*m.x3*m.x7
                        + 2*m.x13*m.x17 + 2*m.x4*m.x8 + 2*m.x14*m.x18 + 2*m.x9*m.x5 + 2*m.x19*m.x15 + 2*m.x10*m.x6 + 2*
                       m.x20*m.x16 + 2*m.x11*m.x7 + 2*m.x21*m.x17 + 2*m.x8 + 2*m.x11*m.x9 - 2*m.x21*m.x19 + m.x10*m.x10
                        - m.x20*m.x20 - 2*m.x1*m.x5 == 0)

m.c3 = Constraint(expr=2*m.x2*m.x6 - 2*m.x12*m.x16 + 2*m.x3*m.x5 - 2*m.x13*m.x15 + m.x4*m.x4 - m.x14*m.x14 + 2*m.x2*m.x8
                        + 2*m.x12*m.x18 + 2*m.x3*m.x9 + 2*m.x13*m.x19 + 2*m.x10*m.x4 + 2*m.x20*m.x14 + 2*m.x11*m.x5 + 2*
                       m.x21*m.x15 + 2*m.x6 + 2*m.x11*m.x7 - 2*m.x21*m.x17 + 2*m.x10*m.x8 - 2*m.x20*m.x18 + m.x9*m.x9 - 
                       m.x19*m.x19 - 2*m.x1*m.x7 == 0)

m.c4 = Constraint(expr=2*m.x2*m.x8 - 2*m.x12*m.x18 + 2*m.x3*m.x7 - 2*m.x13*m.x17 + 2*m.x4*m.x6 - 2*m.x14*m.x16 + m.x5*
                       m.x5 - m.x15*m.x15 + 2*m.x2*m.x10 + 2*m.x12*m.x20 + 2*m.x11*m.x3 + 2*m.x21*m.x13 + 2*m.x4 + 2*
                       m.x11*m.x5 - 2*m.x21*m.x15 + 2*m.x10*m.x6 - 2*m.x20*m.x16 + 2*m.x9*m.x7 - 2*m.x19*m.x17 + m.x8*
                       m.x8 - m.x18*m.x18 - 2*m.x1*m.x9 == 0)

m.c5 = Constraint(expr=2*m.x2*m.x10 - 2*m.x12*m.x20 + 2*m.x3*m.x9 - 2*m.x13*m.x19 + 2*m.x4*m.x8 - 2*m.x14*m.x18 + 2*m.x5
                       *m.x7 - 2*m.x15*m.x17 + m.x6*m.x6 - m.x16*m.x16 + 2*m.x2 + 2*m.x11*m.x3 - 2*m.x21*m.x13 + 2*m.x10
                       *m.x4 - 2*m.x20*m.x14 + 2*m.x9*m.x5 - 2*m.x19*m.x15 + 2*m.x8*m.x6 - 2*m.x18*m.x16 + m.x7*m.x7 - 
                       m.x17*m.x17 - 2*m.x1*m.x11 == 0)

m.c6 = Constraint(expr=2*m.x2*m.x12 - 2*m.x12*m.x4 + 2*m.x2*m.x14 - 2*m.x13*m.x5 + 2*m.x3*m.x15 - 2*m.x14*m.x6 + 2*m.x4*
                       m.x16 - 2*m.x15*m.x7 + 2*m.x5*m.x17 - 2*m.x8*m.x16 + 2*m.x18*m.x6 - 2*m.x9*m.x17 + 2*m.x19*m.x7
                        - 2*m.x10*m.x18 + 2*m.x20*m.x8 - 2*m.x11*m.x19 + 2*m.x21*m.x9 - 2*m.x20 - 2*m.x11*m.x21 - 2*m.x1
                       *m.x13 == 0)

m.c7 = Constraint(expr=2*m.x2*m.x14 + 2*m.x12*m.x4 + 2*m.x3*m.x13 - 2*m.x12*m.x6 + 2*m.x2*m.x16 - 2*m.x13*m.x7 + 2*m.x3*
                       m.x17 - 2*m.x14*m.x8 + 2*m.x4*m.x18 - 2*m.x9*m.x15 + 2*m.x19*m.x5 - 2*m.x10*m.x16 + 2*m.x20*m.x6
                        - 2*m.x11*m.x17 + 2*m.x21*m.x7 - 2*m.x18 - 2*m.x11*m.x19 - 2*m.x21*m.x9 - 2*m.x10*m.x20 - 2*m.x1
                       *m.x15 == 0)

m.c8 = Constraint(expr=2*m.x2*m.x16 + 2*m.x12*m.x6 + 2*m.x3*m.x15 + 2*m.x13*m.x5 + 2*m.x4*m.x14 - 2*m.x12*m.x8 + 2*m.x2*
                       m.x18 - 2*m.x13*m.x9 + 2*m.x3*m.x19 - 2*m.x10*m.x14 + 2*m.x20*m.x4 - 2*m.x11*m.x15 + 2*m.x21*m.x5
                        - 2*m.x16 - 2*m.x11*m.x17 - 2*m.x21*m.x7 - 2*m.x10*m.x18 - 2*m.x20*m.x8 - 2*m.x9*m.x19 - 2*m.x1*
                       m.x17 == 0)

m.c9 = Constraint(expr=2*m.x2*m.x18 + 2*m.x12*m.x8 + 2*m.x3*m.x17 + 2*m.x13*m.x7 + 2*m.x4*m.x16 + 2*m.x14*m.x6 + 2*m.x5*
                       m.x15 - 2*m.x12*m.x10 + 2*m.x2*m.x20 - 2*m.x11*m.x13 + 2*m.x21*m.x3 - 2*m.x14 - 2*m.x11*m.x15 - 2
                       *m.x21*m.x5 - 2*m.x10*m.x16 - 2*m.x20*m.x6 - 2*m.x9*m.x17 - 2*m.x19*m.x7 - 2*m.x8*m.x18 - 2*m.x1*
                       m.x19 == 0)

m.c10 = Constraint(expr=2*m.x2*m.x20 + 2*m.x12*m.x10 + 2*m.x3*m.x19 + 2*m.x13*m.x9 + 2*m.x4*m.x18 + 2*m.x14*m.x8 + 2*
                        m.x5*m.x17 + 2*m.x15*m.x7 + 2*m.x6*m.x16 - 2*m.x12 - 2*m.x11*m.x13 - 2*m.x21*m.x3 - 2*m.x10*
                        m.x14 - 2*m.x20*m.x4 - 2*m.x9*m.x15 - 2*m.x19*m.x5 - 2*m.x8*m.x16 - 2*m.x18*m.x6 - 2*m.x7*m.x17
                         - 2*m.x1*m.x21 == 0)

m.c11 = Constraint(expr=m.x2*m.x2 + m.x12*m.x12 == 1)

m.c12 = Constraint(expr=m.x3*m.x3 + m.x13*m.x13 == 1)

m.c13 = Constraint(expr=m.x4*m.x4 + m.x14*m.x14 == 1)

m.c14 = Constraint(expr=m.x5*m.x5 + m.x15*m.x15 == 1)

m.c15 = Constraint(expr=m.x6*m.x6 + m.x16*m.x16 == 1)

m.c16 = Constraint(expr=m.x7*m.x7 + m.x17*m.x17 == 1)

m.c17 = Constraint(expr=m.x8*m.x8 + m.x18*m.x18 == 1)

m.c18 = Constraint(expr=m.x9*m.x9 + m.x19*m.x19 == 1)

m.c19 = Constraint(expr=m.x10*m.x10 + m.x20*m.x20 == 1)

m.c20 = Constraint(expr=m.x11*m.x11 + m.x21*m.x21 == 1)

m.c21 = Constraint(expr=m.x2*m.x11 + m.x12*m.x21 + 0.416146836547142*m.x3 + 0.909297426825682*m.x13 == 0)

m.c22 = Constraint(expr=m.x3*m.x10 + m.x13*m.x20 + 0.653643620863612*m.x5 - 0.756802495307928*m.x15 == 0)

m.c23 = Constraint(expr=m.x4*m.x9 + m.x14*m.x19 - 0.960170286650366*m.x7 - 0.279415498198926*m.x17 == 0)

m.c24 = Constraint(expr=m.x5*m.x8 + m.x15*m.x18 + 0.145500033808614*m.x9 + 0.989358246623382*m.x19 == 0)

m.c25 = Constraint(expr=m.x6*m.x7 + m.x16*m.x17 + 0.839071529076452*m.x11 - 0.54402111088937*m.x21 == 0)

m.c26 = Constraint(expr=m.x6*m.x7 + m.x16*m.x17 - 0.843853958732492*m.x11 + 0.536572918000435*m.x21 == 0)

m.c27 = Constraint(expr=m.x5*m.x8 + m.x15*m.x18 - 0.136737218207834*m.x9 - 0.99060735569487*m.x19 == 0)

m.c28 = Constraint(expr=m.x4*m.x9 + m.x14*m.x19 + 0.957659480323385*m.x7 + 0.287903316665065*m.x17 == 0)

m.c29 = Constraint(expr=m.x3*m.x10 + m.x13*m.x20 - 0.66031670824408*m.x5 + 0.750987246771676*m.x15 == 0)

m.c30 = Constraint(expr=m.x2*m.x11 + m.x12*m.x21 - 0.408082061813392*m.x3 - 0.912945250727628*m.x13 == 0)

m.c31 = Constraint(expr=m.x11*m.x12 - m.x2*m.x21 - 0.909297426825682*m.x3 + 0.832293673094285*m.x13 == 0)

m.c32 = Constraint(expr=m.x10*m.x13 - m.x3*m.x20 + 1.30728724172722*m.x13 + 0.756802495307928*m.x5 == 0)

m.c33 = Constraint(expr=m.x9*m.x14 - m.x4*m.x19 + 0.279415498198926*m.x7 - 1.92034057330073*m.x13 == 0)

m.c34 = Constraint(expr=m.x8*m.x15 - m.x5*m.x18 - 0.989358246623382*m.x9 + 0.291000067617227*m.x13 == 0)

m.c35 = Constraint(expr=m.x7*m.x16 - m.x6*m.x17 + 0.54402111088937*m.x11 + 1.6781430581529*m.x13 == 0)

m.c36 = Constraint(expr=m.x6*m.x17 - m.x7*m.x16 + 0.536572918000435*m.x11 - 1.68770791746498*m.x13 == 0)

m.c37 = Constraint(expr=m.x5*m.x18 - m.x8*m.x15 - 0.99060735569487*m.x9 - 0.273474436415667*m.x13 == 0)

m.c38 = Constraint(expr=m.x4*m.x19 - m.x9*m.x14 + 0.287903316665065*m.x7 + 1.91531896064677*m.x13 == 0)

m.c39 = Constraint(expr=m.x3*m.x20 - m.x10*m.x13 - 1.32063341648816*m.x13 + 0.750987246771676*m.x5 == 0)

m.c40 = Constraint(expr=m.x2*m.x21 - m.x11*m.x12 - 0.912945250727628*m.x3 - 0.816164123626784*m.x13 == 0)
