#  NLP written by GAMS Convert at 05/24/17 14:05:41
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         40       26        6        8        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         25       25        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        125       47       78        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0,None),initialize=0.5)
m.x2 = Var(within=Reals,bounds=(0,None),initialize=0.5)
m.x3 = Var(within=Reals,bounds=(0,None),initialize=0.5)
m.x4 = Var(within=Reals,bounds=(0,None),initialize=0.5)
m.x5 = Var(within=Reals,bounds=(0,None),initialize=0.5)
m.x6 = Var(within=Reals,bounds=(0,None),initialize=0.5)
m.x7 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x8 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x9 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x10 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x11 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x12 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x13 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x14 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x15 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x16 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x17 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x18 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x19 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x20 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x21 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x22 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x23 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x24 = Var(within=Reals,bounds=(0,None),initialize=0)

m.obj = Objective(expr=(m.x3*m.x7 + m.x5*m.x8)*m.x1 + (m.x4*m.x7 + m.x6*m.x8)*m.x2 - (m.x9*(2 + m.x7) + m.x10*(5 + m.x8)
                       ) - (m.x11*(3 - m.x7) + m.x12*(10 - m.x8)) - (m.x13*(-0.2 + m.x3) + m.x14*(-0.3 + m.x4) + m.x15*(
                       -0.3 + m.x5) + m.x16*(-0.2 + m.x6)) - (m.x17*(0.8 - m.x3) + m.x18*(0.7 - m.x4) + m.x19*(0.8 - 
                       m.x5) + m.x20*(0.6 - m.x6)) - (m.x21*(1 - m.x3 - m.x5) + m.x22*(1 - m.x4 - m.x6)) - m.x23*(3 - 
                       m.x7 - m.x8) - m.x24*(20 - m.x3 - m.x4 - m.x5 - m.x6), sense=maximize)

m.c2 = Constraint(expr=   m.x1 + m.x2 == 1)

m.c3 = Constraint(expr=m.x1*m.x3 + m.x2*m.x4 - m.x9 + m.x11 + m.x23 == 0)

m.c4 = Constraint(expr=m.x1*m.x5 + m.x2*m.x6 - m.x10 + m.x12 + m.x23 == 0)

m.c5 = Constraint(expr=m.x1*m.x7 - m.x13 + m.x17 + m.x21 + m.x24 == 0)

m.c6 = Constraint(expr=m.x2*m.x7 - m.x14 + m.x18 + m.x22 + m.x24 == 0)

m.c7 = Constraint(expr=m.x1*m.x8 - m.x15 + m.x19 + m.x21 + m.x24 == 0)

m.c8 = Constraint(expr=m.x2*m.x8 - m.x16 + m.x20 + m.x22 + m.x24 == 0)

m.c9 = Constraint(expr=   m.x7 >= -2)

m.c10 = Constraint(expr=   m.x8 >= -5)

m.c11 = Constraint(expr=   m.x7 <= 3)

m.c12 = Constraint(expr=   m.x8 <= 10)

m.c13 = Constraint(expr=   m.x3 >= 0.2)

m.c14 = Constraint(expr=   m.x4 >= 0.3)

m.c15 = Constraint(expr=   m.x5 >= 0.3)

m.c16 = Constraint(expr=   m.x6 >= 0.2)

m.c17 = Constraint(expr=   m.x3 <= 0.8)

m.c18 = Constraint(expr=   m.x4 <= 0.7)

m.c19 = Constraint(expr=   m.x5 <= 0.8)

m.c20 = Constraint(expr=   m.x6 <= 0.6)

m.c21 = Constraint(expr=   m.x3 + m.x5 == 1)

m.c22 = Constraint(expr=   m.x4 + m.x6 == 1)

m.c23 = Constraint(expr=   m.x7 + m.x8 <= 3)

m.c24 = Constraint(expr=   m.x3 + m.x4 + m.x5 + m.x6 <= 20)

m.c25 = Constraint(expr=m.x9*(2 + m.x7) == 0)

m.c26 = Constraint(expr=m.x10*(5 + m.x8) == 0)

m.c27 = Constraint(expr=m.x11*(3 - m.x7) == 0)

m.c28 = Constraint(expr=m.x12*(10 - m.x8) == 0)

m.c29 = Constraint(expr=m.x13*(-0.2 + m.x3) == 0)

m.c30 = Constraint(expr=m.x14*(-0.3 + m.x4) == 0)

m.c31 = Constraint(expr=m.x15*(-0.3 + m.x5) == 0)

m.c32 = Constraint(expr=m.x16*(-0.2 + m.x6) == 0)

m.c33 = Constraint(expr=m.x17*(0.8 - m.x3) == 0)

m.c34 = Constraint(expr=m.x18*(0.7 - m.x4) == 0)

m.c35 = Constraint(expr=m.x19*(0.8 - m.x5) == 0)

m.c36 = Constraint(expr=m.x20*(0.6 - m.x6) == 0)

m.c37 = Constraint(expr=m.x21*(1 - m.x3 - m.x5) == 0)

m.c38 = Constraint(expr=m.x22*(1 - m.x4 - m.x6) == 0)

m.c39 = Constraint(expr=m.x23*(3 - m.x7 - m.x8) == 0)

m.c40 = Constraint(expr=m.x24*(20 - m.x3 - m.x4 - m.x5 - m.x6) == 0)
