#  NLP written by GAMS Convert at 05/24/17 14:05:42
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         31       21       10        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         41       41        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        841      607      234        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.45,2.56),initialize=0.45)
m.x2 = Var(within=Reals,bounds=(0.54,2.07),initialize=0.54)
m.x3 = Var(within=Reals,bounds=(0.55,2.93),initialize=0.55)
m.x4 = Var(within=Reals,bounds=(0.81,2.03),initialize=0.81)
m.x5 = Var(within=Reals,bounds=(0.7,2.4),initialize=0.7)
m.x6 = Var(within=Reals,bounds=(0.52,2.86),initialize=0.52)
m.x7 = Var(within=Reals,bounds=(0.44,2.18),initialize=0.44)
m.x8 = Var(within=Reals,bounds=(0.13,2.37),initialize=0.13)
m.x9 = Var(within=Reals,bounds=(0.24,2.57),initialize=0.24)
m.x10 = Var(within=Reals,bounds=(0,2.19),initialize=0)
m.x11 = Var(within=Reals,bounds=(0.65,2.29),initialize=0.65)
m.x12 = Var(within=Reals,bounds=(0.57,2.83),initialize=0.57)
m.x13 = Var(within=Reals,bounds=(0.1,2.49),initialize=0.1)
m.x14 = Var(within=Reals,bounds=(0.31,2.49),initialize=0.31)
m.x15 = Var(within=Reals,bounds=(0.72,2.15),initialize=0.72)
m.x16 = Var(within=Reals,bounds=(0.83,2.32),initialize=0.83)
m.x17 = Var(within=Reals,bounds=(0.64,2.67),initialize=0.64)
m.x18 = Var(within=Reals,bounds=(0.06,2.44),initialize=0.06)
m.x19 = Var(within=Reals,bounds=(0.02,2.38),initialize=0.02)
m.x20 = Var(within=Reals,bounds=(0.01,2.54),initialize=0.01)
m.x21 = Var(within=Reals,bounds=(0.51,2.87),initialize=0.51)
m.x22 = Var(within=Reals,bounds=(0.76,2.19),initialize=0.76)
m.x23 = Var(within=Reals,bounds=(0.21,2.75),initialize=0.21)
m.x24 = Var(within=Reals,bounds=(0.39,2.93),initialize=0.39)
m.x25 = Var(within=Reals,bounds=(0.77,2.84),initialize=0.77)
m.x26 = Var(within=Reals,bounds=(0.54,2.08),initialize=0.54)
m.x27 = Var(within=Reals,bounds=(0.93,2.29),initialize=0.93)
m.x28 = Var(within=Reals,bounds=(0.13,2.29),initialize=0.13)
m.x29 = Var(within=Reals,bounds=(0.01,2.72),initialize=0.01)
m.x30 = Var(within=Reals,bounds=(0.04,2.08),initialize=0.04)
m.x31 = Var(within=Reals,bounds=(0.56,2.92),initialize=0.56)
m.x32 = Var(within=Reals,bounds=(0.27,3),initialize=0.27)
m.x33 = Var(within=Reals,bounds=(0.79,2.02),initialize=0.79)
m.x34 = Var(within=Reals,bounds=(0.38,2.86),initialize=0.38)
m.x35 = Var(within=Reals,bounds=(0.08,2.84),initialize=0.08)
m.x36 = Var(within=Reals,bounds=(0.74,2.82),initialize=0.74)
m.x37 = Var(within=Reals,bounds=(0,2.27),initialize=0)
m.x38 = Var(within=Reals,bounds=(0.29,2.39),initialize=0.29)
m.x39 = Var(within=Reals,bounds=(0.16,2.4),initialize=0.16)
m.x40 = Var(within=Reals,bounds=(0.55,2.44),initialize=0.55)

m.obj = Objective(expr=6.02*m.x1*m.x7 + 1.03*m.x1 + 1.86*m.x7 + 0.42*m.x1*m.x23 + 0.83*m.x23 + 1.67*m.x1*m.x29 + 5.15*
                       m.x29 + 5.19*m.x2*m.x25 + 3.75*m.x2 + 6.46*m.x25 + 3.34*m.x2*m.x28 + 0.86*m.x28 + 3.67*m.x2*m.x35
                        + 7.23*m.x35 + 1.25*m.x3*m.x13 + 2.08*m.x3 - 1.34*m.x13 + 9.64*m.x3*m.x26 + 8.28*m.x26 + 4.56*
                       m.x4*m.x21 + 6.49*m.x4 + 9.64*m.x21 + 2.39*m.x4*m.x24 + 7.51*m.x24 - 8.46*m.x6*m.x12 + 2.6*m.x6
                        + 3.05*m.x12 - 3.12*m.x6*m.x24 + 4.34*m.x6*m.x30 + 6.29*m.x30 + 8.98*m.x6*m.x39 + 0.73*m.x39 - 
                       8.33*m.x7*m.x8 + 0.46*m.x8 + 2.42*m.x7*m.x19 + 6.4*m.x19 + 8.54*m.x7*m.x21 + 8.92*m.x7*m.x22 + 
                       3.03*m.x22 - 6.29*m.x7*m.x23 + 0.57*m.x8*m.x9 + 0.7*m.x9 + 1.71*m.x8*m.x15 + 2.88*m.x15 + 8.66*
                       m.x8*m.x16 + 2.3*m.x16 - 8.86*m.x8*m.x29 + 2.82*m.x9*m.x19 + 0.92*m.x9*m.x20 + 6.46*m.x20 + 9.7*
                       m.x9*m.x28 + 0.53*m.x9*m.x30 + 8.88*m.x9*m.x36 + 5.34*m.x36 + 5.78*m.x10*m.x16 + 5.05*m.x10 + 
                       8.94*m.x10*m.x35 + 6.98*m.x11*m.x14 + 4.67*m.x11 + 9.29*m.x14 + 1.39*m.x11*m.x16 + 4.74*m.x11*
                       m.x20 + 5.31*m.x12*m.x19 - 4.45*m.x13*m.x15 + 0.61*m.x13*m.x21 + 7.62*m.x13*m.x23 + 2.56*m.x13*
                       m.x28 + 5.4*m.x13*m.x37 + 7.82*m.x37 + 5.47*m.x14*m.x14 + 4.41*m.x14*m.x24 + 8.44*m.x14*m.x25 + 
                       0.47*m.x16*m.x17 + 8.77*m.x17 + 0.74*m.x16*m.x35 + 0.28*m.x17*m.x17 + 9.99*m.x17*m.x23 + 6.59*
                       m.x17*m.x35 + 0.52*m.x17*m.x40 + 9.49*m.x40 + 6.92*m.x18*m.x23 + 1.88*m.x18 + 5.17*m.x19*m.x28 + 
                       1.43*m.x19*m.x32 + 1.31*m.x32 + 7.96*m.x19*m.x35 + 0.02*m.x20*m.x20 + 0.71*m.x20*m.x28 + 4.06*
                       m.x20*m.x34 + 2.95*m.x34 + 1.27*m.x20*m.x38 + 1.76*m.x38 + 3.1*m.x21*m.x21 + 6.22*m.x21*m.x26 + 
                       1.84*m.x21*m.x32 + 5.89*m.x21*m.x33 - 8.82*m.x33 + 7.56*m.x22*m.x30 + 4.49*m.x22*m.x31 + 5.94*
                       m.x31 + 3.61*m.x23*m.x24 + 3.03*m.x23*m.x32 + 8.91*m.x24*m.x31 + 8.16*m.x24*m.x34 + 9.1*m.x24*
                       m.x39 + 4.35*m.x25*m.x29 + 9.38*m.x26*m.x28 + 2.55*m.x26*m.x37 + 4.58*m.x27*m.x28 + 1.85*m.x27 + 
                       2.94*m.x27*m.x36 + 6.63*m.x27*m.x39 + 4.72*m.x28*m.x37 + 4.78*m.x29*m.x33 + 0.59*m.x29*m.x34 + 
                       8.89*m.x29*m.x35 + 8.89*m.x30*m.x36 + 1.08*m.x30*m.x37 + 1.19*m.x31*m.x34 + 6.15*m.x34*m.x35 + 
                       7.99*m.x35*m.x35 + 4.77*m.x5, sense=minimize)

m.c1 = Constraint(expr=   8.11*m.x2 + 7.75*m.x3 + 8.78*m.x4 + 8.84*m.x10 + 0.19*m.x13 + 2.3*m.x14 + 5.97*m.x15
                        + 5.54*m.x16 + 0.65*m.x22 + 3.35*m.x24 + 0.44*m.x25 - 5.59*m.x26 + 6.42*m.x27 + 1.99*m.x28
                        + 3.72*m.x29 + 7.22*m.x30 + 4.36*m.x33 + 9.31*m.x36 + 9.62*m.x37 + 6.01*m.x39 == 133.75)

m.c2 = Constraint(expr=   2.19*m.x2 + 7.6*m.x4 + 6.76*m.x5 + 9.71*m.x6 + 0.98*m.x8 + 2.34*m.x9 + 2.92*m.x10 + 4.23*m.x11
                        + 6.55*m.x13 + 5.76*m.x14 + 5.45*m.x18 + 7.64*m.x19 + 8.17*m.x20 + 2.85*m.x23 + 0.42*m.x24
                        + 1.84*m.x26 + 6.61*m.x28 + 9.96*m.x29 + 5.26*m.x35 + 2.36*m.x37 == 136.687)

m.c3 = Constraint(expr=   9.58*m.x1 + 9.65*m.x2 + 5.28*m.x3 + 9.96*m.x5 + 7.42*m.x6 + 5.53*m.x7 + 7.62*m.x8 + 8.76*m.x9
                        + 5.13*m.x10 + 9.77*m.x16 + 4.97*m.x19 - 5.91*m.x22 - 9.68*m.x23 + 9.91*m.x25 + 7.22*m.x26
                        - 0.25*m.x29 + 8.28*m.x33 + 2.25*m.x35 + 4.56*m.x37 + 0.47*m.x38 == 144.907)

m.c4 = Constraint(expr=   1.33*m.x1 + 7.45*m.x6 + 1.28*m.x9 + 3.49*m.x11 + 4.43*m.x12 - 2.99*m.x14 + 9.74*m.x15
                        + 7.81*m.x16 + 2.56*m.x19 + 3.41*m.x24 + 2.48*m.x25 + 1.87*m.x26 + 3.22*m.x29 + 2.32*m.x30
                        + 7.68*m.x31 - 6.54*m.x32 + 1.5*m.x34 + 8.39*m.x35 + 9.38*m.x37 - 9.3*m.x39 == 89.749)

m.c5 = Constraint(expr=   3.73*m.x2 + 9.75*m.x5 + 9.74*m.x6 + 1.94*m.x9 + 7.97*m.x14 + 9.83*m.x15 + 4.49*m.x16
                        + 4.2*m.x18 + 6.52*m.x19 + 5.06*m.x22 - 9.07*m.x23 + 6.49*m.x24 + 8.04*m.x27 + 0.76*m.x29
                        + 1.81*m.x31 + 2.45*m.x34 + 9.56*m.x35 + 6.91*m.x37 + 0.21*m.x38 + 3.22*m.x39 == 136.693)

m.c6 = Constraint(expr=   8.76*m.x1 + 8.63*m.x4 + 4.07*m.x5 + 7.42*m.x7 + 8.49*m.x8 + 9.79*m.x12 + 4.3*m.x15
                        + 4.71*m.x18 + 1.8*m.x22 + 8.8*m.x25 + 4.09*m.x26 + 0.41*m.x27 + 1.48*m.x28 + 8.08*m.x29
                        + 7.8*m.x32 + 4.59*m.x33 + 0.52*m.x34 + 3.87*m.x35 + 0.34*m.x37 + 4.58*m.x39 == 150.1)

m.c7 = Constraint(expr=   9.12*m.x3 + 9.94*m.x5 + 6.85*m.x6 + 7.77*m.x7 + 1.6*m.x10 + 8.91*m.x13 + 8.09*m.x16
                        + 2.38*m.x18 + 4.63*m.x19 + 3.32*m.x21 + 6.05*m.x22 + 5.14*m.x23 + 0.82*m.x24 + 3.25*m.x26
                        + 2.18*m.x28 + 2.98*m.x29 + 3.54*m.x34 + 6.99*m.x35 - 0.72*m.x36 + 7.31*m.x40 == 147.647)

m.c8 = Constraint(expr=   0.7*m.x1 + 6.71*m.x2 + 7.5*m.x4 + 4.58*m.x6 + 4.8*m.x7 + 7.44*m.x10 + 7.53*m.x11 - 6.79*m.x13
                        + 0.32*m.x14 + 7.02*m.x16 + 2.1*m.x19 + 5.09*m.x22 + 8.48*m.x24 + 6.81*m.x26 + 2.04*m.x27
                        + 8.89*m.x31 + 4.74*m.x35 + 0.39*m.x37 + 5.16*m.x38 + 5.46*m.x40 == 130.634)

m.c9 = Constraint(expr=   9*m.x3 + 4.59*m.x4 + 3.44*m.x5 + 4.94*m.x8 + 3.69*m.x11 + 2.65*m.x12 + 7.01*m.x14 + 0.32*m.x15
                        + 4.92*m.x18 + 9.24*m.x19 + 6.49*m.x21 + 8.98*m.x22 + 1.13*m.x24 + 6.77*m.x27 + 7.3*m.x28
                        - 3.74*m.x32 + 6.68*m.x33 + 3.43*m.x34 + 4.09*m.x36 + 5.26*m.x37 == 139.025)

m.c10 = Constraint(expr=   1.31*m.x2 + 1.83*m.x3 - 1.47*m.x6 + 0.34*m.x7 + 8.34*m.x9 + 1.57*m.x10 + 0.28*m.x14
                         + 1.39*m.x16 + 6.64*m.x19 + 4.96*m.x20 + 0.24*m.x23 + 0.18*m.x24 + 7.49*m.x25 + 5.26*m.x26
                         + 2.94*m.x28 + 4.69*m.x30 + 6.99*m.x31 - 0.5*m.x34 + 6.41*m.x37 + 0.6*m.x38 == 82.19)

m.c11 = Constraint(expr=   0.42*m.x3 + 9.66*m.x7 + 0.34*m.x9 + 6.29*m.x13 + 3.25*m.x14 + 1.31*m.x22 + 2.69*m.x23
                         + 3.68*m.x24 + 0.01*m.x28 + 7.27*m.x29 + 6.56*m.x30 + 7.61*m.x31 + 0.17*m.x32 + 0.69*m.x34
                         + 4.88*m.x35 + 5.09*m.x36 + 3.87*m.x37 + 8.61*m.x38 + 4.68*m.x39 + 9.26*m.x40 == 122.056)

m.c12 = Constraint(expr= - 8.12*m.x2 + 4.95*m.x8 - 9.22*m.x10 + 1.22*m.x12 + 1.53*m.x13 + 5.16*m.x14 + 5.7*m.x16
                         + 9.42*m.x18 + 7.19*m.x19 + 7.9*m.x20 - 5.3*m.x22 + 7.87*m.x23 + 7*m.x26 + 4.58*m.x31
                         + 2.05*m.x34 + 2.63*m.x35 + 9.01*m.x36 - 5.01*m.x37 + 8.09*m.x39 + 6.7*m.x40 == 95.081)

m.c13 = Constraint(expr=   5.08*m.x1 + 9.11*m.x2 + 4.89*m.x4 + 2.98*m.x5 + 1.8*m.x6 + 9.81*m.x8 + 2.01*m.x9 + 3.71*m.x10
                         + 7.19*m.x11 + 5.53*m.x12 + 4.18*m.x14 + 9.59*m.x16 + 8.64*m.x17 + 5.12*m.x18 + 3.92*m.x22
                         + 9.12*m.x23 + 4.68*m.x25 + 3.98*m.x30 + 4.26*m.x36 + 8.52*m.x40 == 167.179)

m.c14 = Constraint(expr=   8.06*m.x1 + 8.79*m.x3 + 1.05*m.x5 + 8.41*m.x9 + 9.73*m.x11 + 8.36*m.x12 + 3.58*m.x13
                         - 4.51*m.x14 + 4.77*m.x15 - 5.09*m.x19 + 9.2*m.x25 - 1.39*m.x27 + 9.45*m.x30 + 8.75*m.x32
                         + 2.22*m.x33 + 7.4*m.x34 + 4.16*m.x35 + 2.79*m.x36 + 6.5*m.x39 - 3.04*m.x40 == 137.056)

m.c15 = Constraint(expr=   5.03*m.x1 + 8.67*m.x3 + 5.92*m.x5 + 0.51*m.x9 + 3.33*m.x10 + 3.36*m.x11 + 8.91*m.x18
                         + 9.49*m.x20 + 6.32*m.x21 + 0.47*m.x22 + m.x23 + 2.26*m.x24 + 6.25*m.x26 + 5.21*m.x27
                         - 0.55*m.x30 + 8.13*m.x31 + 3.33*m.x35 + 6.89*m.x36 + 8.85*m.x38 + 6.8*m.x40 == 150.267)

m.c16 = Constraint(expr=   8.66*m.x2 + 1.52*m.x3 + 4.04*m.x4 + 0.13*m.x6 + 4.69*m.x7 + 6.59*m.x9 + 1.43*m.x10
                         + 6.4*m.x13 + 7.17*m.x16 + 3.83*m.x17 + 8.58*m.x18 + 5.86*m.x29 + 5.46*m.x30 + 7.61*m.x31
                         + 5.56*m.x32 + 4.7*m.x33 + 3.11*m.x34 + 3.38*m.x35 - 6.13*m.x38 + 6.72*m.x39 == 126.598)

m.c17 = Constraint(expr=   1.37*m.x1 + 2.9*m.x2 + 3.09*m.x9 + 5.03*m.x10 + 1.4*m.x12 + 9.3*m.x13 + 6.67*m.x14
                         + 6.6*m.x15 + 3.3*m.x18 - 1.58*m.x19 + 8.15*m.x28 + 0.2*m.x29 + 1.34*m.x33 + 5.78*m.x34
                         + 7.35*m.x35 + 1.71*m.x36 + 8.29*m.x37 + 6.62*m.x38 + 5.71*m.x39 + 1.2*m.x40 == 113.696)

m.c18 = Constraint(expr=   1.26*m.x1 + 2.1*m.x2 + 2.68*m.x8 + 4.28*m.x11 + 4.97*m.x12 + 3.18*m.x13 + 0.9*m.x14
                         + 9.13*m.x16 + 0.02*m.x17 + 3.5*m.x18 + 7.07*m.x19 + 4.31*m.x21 - 5.02*m.x23 + 9.05*m.x25
                         + 7.99*m.x27 + 4.45*m.x34 + 6.94*m.x37 + 0.05*m.x38 + 2.53*m.x39 + 8.2*m.x40 == 115.081)

m.c19 = Constraint(expr=   1.86*m.x1 + 7.6*m.x2 + 7.77*m.x4 + 5.42*m.x6 + 8.61*m.x9 + 3.54*m.x12 + 7.08*m.x13
                         + 2.44*m.x14 + 3.51*m.x15 + 5.44*m.x16 + 6.5*m.x17 + 1.53*m.x18 + 5.03*m.x21 + 9.74*m.x25
                         + 1.23*m.x27 + 0.39*m.x28 + 2.77*m.x31 + 4.04*m.x33 + 6.49*m.x34 + 8.76*m.x38 == 151.167)

m.c20 = Constraint(expr=   0.3*m.x3 + 1.27*m.x4 + 8.23*m.x7 + 2.03*m.x10 + 7.01*m.x11 + 0.77*m.x14 + 6.83*m.x16
                         + 6.79*m.x17 + 8.55*m.x18 + 7.37*m.x19 + 1.91*m.x22 + 9.8*m.x23 + 6.96*m.x24 + 0.47*m.x25
                         - 5.97*m.x26 + 5.67*m.x27 + 6.38*m.x31 + 5.42*m.x35 + 6.63*m.x37 + 3.47*m.x40 == 130.997)

m.c21 = Constraint(expr= - 3.17*m.x1 + 5.25*m.x2 + 7.94*m.x3 + 1.19*m.x4 + 3.39*m.x5 + 1.25*m.x6 + 8.49*m.x7 + 2.34*m.x8
                         - 2.47*m.x9 - 0.97*m.x10 + 4.27*m.x11 + 0.55*m.x12 + 0.58*m.x13 + 6.15*m.x14 + 1.52*m.x15
                         + 8.44*m.x16 + 8.14*m.x17 - 3.14*m.x18 + 0.59*m.x19 + 7.85*m.x20 + 1.31*m.x21 + 2.47*m.x22
                         + 2.02*m.x23 + 5.09*m.x24 + 8.77*m.x25 + 9.69*m.x26 - 3.98*m.x27 + 7.35*m.x28 + 9.67*m.x29
                         + 7.43*m.x30 + 0.83*m.x31 + 0.4*m.x32 + 2.97*m.x33 + 8.74*m.x34 + 3.08*m.x35 + 7.56*m.x36
                         + 7.87*m.x37 + 1.6*m.x38 + 8.47*m.x39 + 9.86*m.x40 >= 231.201)

m.c22 = Constraint(expr=2.77*m.x1*m.x7 + 5.62*m.x1 + 1.45*m.x7 + 6.98*m.x1*m.x23 + 6.68*m.x23 + 6.68*m.x1*m.x29 + 8.34*
                        m.x29 + 9.43*m.x2*m.x25 - 4.82*m.x2 - 8.36*m.x25 + 8.76*m.x2*m.x28 + 4.1*m.x28 + 1.19*m.x2*m.x35
                         + 5.46*m.x35 + 8.21*m.x3*m.x13 + 4.38*m.x3 + 0.84*m.x13 + 2.69*m.x3*m.x26 + 8.32*m.x26 + 7.18*
                        m.x4*m.x21 + 7.49*m.x4 + 7.02*m.x21 + 7.96*m.x4*m.x24 - 9.46*m.x24 - 3.5*m.x6*m.x12 + 5.05*m.x6
                         + 2.87*m.x12 + 1.43*m.x6*m.x24 - 4.42*m.x6*m.x30 + 6.67*m.x30 + 4.78*m.x6*m.x39 + 5.12*m.x39 + 
                        0.7*m.x7*m.x8 + 2.53*m.x8 + 5.35*m.x7*m.x19 + 6.2*m.x19 + 4.75*m.x7*m.x21 + 2.68*m.x7*m.x22 + 
                        5.49*m.x22 - 2.21*m.x7*m.x23 + 4.81*m.x8*m.x9 + 4.12*m.x9 + 0.84*m.x8*m.x15 + 8.47*m.x15 + 0.77*
                        m.x8*m.x16 + 7.38*m.x16 + 5.8*m.x8*m.x29 + 1.01*m.x9*m.x19 + 5.51*m.x9*m.x20 + 2.42*m.x20 + 2.09
                        *m.x9*m.x28 + 6.97*m.x9*m.x30 + 7.46*m.x9*m.x36 + 1.38*m.x36 + 4.76*m.x10*m.x16 + 5.15*m.x10 + 
                        0.66*m.x10*m.x35 + 2.64*m.x11*m.x14 + 8.46*m.x11 + 3.7*m.x14 + 2.65*m.x11*m.x16 + 2*m.x11*m.x20
                         + 9.81*m.x12*m.x19 + 5.99*m.x13*m.x15 + 4.03*m.x13*m.x21 + 3.6*m.x13*m.x23 - 1.74*m.x13*m.x28
                         - 2.6*m.x13*m.x37 + 1.47*m.x37 + 3.14*m.x14*m.x14 + 5.57*m.x14*m.x24 + 8.38*m.x14*m.x25 + 7.84*
                        m.x16*m.x17 + 4.64*m.x17 - 2.15*m.x16*m.x35 - 1.66*m.x17*m.x17 + 3.38*m.x17*m.x23 + 5.49*m.x17*
                        m.x35 + 1.45*m.x17*m.x40 + 3.65*m.x40 + 2.55*m.x18*m.x23 - 5.88*m.x18 + 5.52*m.x19*m.x28 + 7.65*
                        m.x19*m.x32 + 6.21*m.x32 + 8.68*m.x19*m.x35 + 6.4*m.x20*m.x20 + 3.23*m.x20*m.x28 + 5.83*m.x20*
                        m.x34 + 5.21*m.x34 - 8.9*m.x20*m.x38 + 8.03*m.x38 + 0.56*m.x21*m.x21 + 0.4*m.x21*m.x26 + 3.39*
                        m.x21*m.x32 + 5.99*m.x21*m.x33 + 7.75*m.x33 + 4.64*m.x22*m.x30 + 3.49*m.x22*m.x31 + 7.96*m.x31
                         + 9.11*m.x23*m.x24 + 5.44*m.x23*m.x32 + 4.73*m.x24*m.x31 + 9.83*m.x24*m.x34 + 2.11*m.x24*m.x39
                         + 8.18*m.x25*m.x29 + 8.89*m.x26*m.x28 + 7.18*m.x26*m.x37 + 8*m.x27*m.x28 + 5.1*m.x27 + 5.87*
                        m.x27*m.x36 + 3.96*m.x27*m.x39 + 4.57*m.x28*m.x37 - 6.21*m.x29*m.x33 + 7.32*m.x29*m.x34 + 3.52*
                        m.x29*m.x35 + 4.35*m.x30*m.x36 - 8.65*m.x30*m.x37 + 6.13*m.x31*m.x34 + 7.18*m.x34*m.x35 + 5.54*
                        m.x35*m.x35 + 2.51*m.x5 >= 1298.174)

m.c23 = Constraint(expr=   9.63*m.x1 + 9.73*m.x2 + 1.06*m.x3 + 8.36*m.x4 + 6.92*m.x5 + 9.5*m.x6 + 9.57*m.x7 + 0.09*m.x8
                         + 4.19*m.x9 + 2.24*m.x10 + 8.42*m.x11 + 2.11*m.x12 + 4.61*m.x13 - 2.87*m.x14 + 8.85*m.x15
                         + 8.25*m.x16 + 5.76*m.x17 + 8.38*m.x18 + 3.18*m.x19 + 4.32*m.x20 + 5.74*m.x21 + 3*m.x22
                         + 1.51*m.x23 + 8.98*m.x24 + 0.56*m.x25 + 4.69*m.x26 + 9.78*m.x27 + 5.76*m.x28 - 2.78*m.x29
                         + 2.78*m.x30 + 9.03*m.x31 + 6.41*m.x32 + 1.38*m.x33 + 6.96*m.x34 + 5.85*m.x35 + 5.47*m.x36
                         + 2.91*m.x37 + 7.44*m.x38 + 4.19*m.x39 + 6.08*m.x40 >= 307.317)

m.c24 = Constraint(expr=3.54*m.x1*m.x7 + 3.84*m.x1 + 7.29*m.x7 + 7.95*m.x1*m.x23 + 3.53*m.x23 + 7.86*m.x1*m.x29 - 2.63*
                        m.x29 + 5.98*m.x2*m.x25 + 6.44*m.x2 + 1.12*m.x25 + 8.66*m.x2*m.x28 + 8.88*m.x28 + 3.99*m.x2*
                        m.x35 + 1.78*m.x35 + 5.72*m.x3*m.x13 + 8.37*m.x3 + 2.18*m.x13 + 7.22*m.x3*m.x26 + 4.37*m.x26 + 
                        0.14*m.x4*m.x21 + 7.07*m.x4 + 5.47*m.x21 + 2.09*m.x4*m.x24 + 6.83*m.x24 + 9.67*m.x6*m.x12 + 0.83
                        *m.x6 + 4.98*m.x12 + 7.14*m.x6*m.x24 + 9.31*m.x6*m.x30 + 2.36*m.x30 + 0.5*m.x6*m.x39 - 7.95*
                        m.x39 + 1.07*m.x7*m.x8 + 1.25*m.x8 + 0.49*m.x7*m.x19 + 5.24*m.x19 + 2.06*m.x7*m.x21 + 0.96*m.x7*
                        m.x22 + 9.78*m.x22 + 4.98*m.x7*m.x23 + 7.91*m.x8*m.x9 + 2.66*m.x9 + 9.95*m.x8*m.x15 + 2.37*m.x15
                         + 8.87*m.x8*m.x16 + 9.05*m.x16 + 1.93*m.x8*m.x29 + 1.79*m.x9*m.x19 + 2.6*m.x9*m.x20 + 0.66*
                        m.x20 + 4.74*m.x9*m.x28 + 0.93*m.x9*m.x30 + 3.3*m.x9*m.x36 + 3.95*m.x36 + 1.35*m.x10*m.x16 + 
                        6.13*m.x10 + 6.87*m.x10*m.x35 + 3.73*m.x11*m.x14 + 9.99*m.x11 + 1.67*m.x14 + 0.75*m.x11*m.x16 + 
                        4.12*m.x11*m.x20 + 5.32*m.x12*m.x19 - 0.33*m.x13*m.x15 + 9.12*m.x13*m.x21 + 1.52*m.x13*m.x23 + 
                        7.11*m.x13*m.x28 + 5.71*m.x13*m.x37 + 8.14*m.x37 + 0.93*m.x14*m.x14 + 4.3*m.x14*m.x24 + 2.62*
                        m.x14*m.x25 + 7.87*m.x16*m.x17 + 7.88*m.x17 + 8.26*m.x16*m.x35 + 1.92*m.x17*m.x17 + 3.33*m.x17*
                        m.x23 + 7.08*m.x17*m.x35 + 6.09*m.x17*m.x40 - 0.01*m.x40 + 2.45*m.x18*m.x23 + 7.03*m.x18 + 0.75*
                        m.x19*m.x28 + 6.38*m.x19*m.x32 + 8.34*m.x32 - 6.87*m.x19*m.x35 + 3.71*m.x20*m.x20 + 6.62*m.x20*
                        m.x28 - 3.36*m.x20*m.x34 + 3.85*m.x34 - 6.37*m.x20*m.x38 - 0.21*m.x38 + 5.65*m.x21*m.x21 + 4.35*
                        m.x21*m.x26 + 3.11*m.x21*m.x32 + 0.69*m.x21*m.x33 + 1.82*m.x33 + 4*m.x22*m.x30 - 1.7*m.x22*m.x31
                         + 1.09*m.x31 - 2.56*m.x23*m.x24 + 4.63*m.x23*m.x32 + 5.11*m.x24*m.x31 + 4.77*m.x24*m.x34 + 5.93
                        *m.x24*m.x39 + 1.24*m.x25*m.x29 + 2.13*m.x26*m.x28 + 3.14*m.x26*m.x37 + 1.49*m.x27*m.x28 - 6.81*
                        m.x27 + 2.63*m.x27*m.x36 + 2.35*m.x27*m.x39 + 6.37*m.x28*m.x37 + 9.61*m.x29*m.x33 + 2.08*m.x29*
                        m.x34 + 5.88*m.x29*m.x35 + 1.63*m.x30*m.x36 + 1.96*m.x30*m.x37 + 7.31*m.x31*m.x34 + 5.49*m.x34*
                        m.x35 + 2.73*m.x35*m.x35 + 4.26*m.x5 >= 1259.821)

m.c25 = Constraint(expr=   2.06*m.x1 + 5.09*m.x2 + 7.75*m.x3 + 0.22*m.x4 + 7.04*m.x5 - 7.04*m.x6 - 5.44*m.x7 + 2.93*m.x8
                         + 0.61*m.x9 + 6.7*m.x10 + 1.17*m.x11 - 0.58*m.x12 + 7.34*m.x13 + 7.86*m.x14 + 2.25*m.x15
                         + 7.78*m.x16 + 8.2*m.x17 + 4.13*m.x18 + 6.82*m.x19 + 9.22*m.x20 + 7.24*m.x21 + 9.75*m.x22
                         + 1.26*m.x23 + 6.09*m.x24 + 9.68*m.x25 + 1.66*m.x26 - 8.8*m.x27 + 3.8*m.x28 + 1.12*m.x29
                         + 2.85*m.x30 + 9.4*m.x31 + 0.9*m.x32 + 8.05*m.x33 - 6.87*m.x34 + 0.92*m.x35 - 9.31*m.x36
                         + 9.64*m.x37 + 3.72*m.x38 + 1.45*m.x39 + 5.74*m.x40 >= 185.044)

m.c26 = Constraint(expr=1.87*m.x1*m.x7 + 0.7*m.x1 + 6.26*m.x7 - 4.54*m.x1*m.x23 + 7.43*m.x23 + 8.85*m.x1*m.x29 + 2.82*
                        m.x29 + 5.04*m.x2*m.x25 + 6.88*m.x2 + 5.39*m.x25 + 0.26*m.x2*m.x28 + 8.52*m.x28 + 5.03*m.x2*
                        m.x35 + 4.51*m.x35 + 4.52*m.x3*m.x13 + 2.98*m.x3 + 2.11*m.x13 + 9.5*m.x3*m.x26 + 1.54*m.x26 + 
                        8.96*m.x4*m.x21 - 4.38*m.x4 + 4.97*m.x21 + 5.41*m.x4*m.x24 + 4.28*m.x24 + 6.88*m.x6*m.x12 + 1.63
                        *m.x6 + 7.48*m.x12 + 8.24*m.x6*m.x24 + 8.93*m.x6*m.x30 + 1.37*m.x30 + 6.64*m.x6*m.x39 + 2.85*
                        m.x39 - 7.77*m.x7*m.x8 + 0.87*m.x8 + 6.86*m.x7*m.x19 + 3.26*m.x19 + 0.1*m.x7*m.x21 + 3.4*m.x7*
                        m.x22 + 6.39*m.x22 + 5.07*m.x7*m.x23 + 7.47*m.x8*m.x9 + 5.67*m.x9 + 3.23*m.x8*m.x15 + 2.99*m.x15
                         + 9.93*m.x8*m.x16 + 9.55*m.x16 + 5.01*m.x8*m.x29 + 0.07*m.x9*m.x19 + 2.83*m.x9*m.x20 + 3.21*
                        m.x20 + 7.05*m.x9*m.x28 - 5.86*m.x9*m.x30 + 5.28*m.x9*m.x36 + 8.99*m.x36 + 1.5*m.x10*m.x16 + 
                        4.63*m.x10 + 0.54*m.x10*m.x35 + 2.75*m.x11*m.x14 + 6.94*m.x11 + 4.74*m.x14 + 8.29*m.x11*m.x16 - 
                        5.35*m.x11*m.x20 + 0.69*m.x12*m.x19 + 3.88*m.x13*m.x15 + 4.04*m.x13*m.x21 + 0.85*m.x13*m.x23 + 
                        3.08*m.x13*m.x28 + 7.83*m.x13*m.x37 + 1.4*m.x37 + 3.68*m.x14*m.x14 - 2.74*m.x14*m.x24 + 0.7*
                        m.x14*m.x25 + 2.24*m.x16*m.x17 + 7.87*m.x17 + 2.26*m.x16*m.x35 + 3.39*m.x17*m.x17 - 7.28*m.x17*
                        m.x23 + 3.67*m.x17*m.x35 + 7.66*m.x17*m.x40 + 5.54*m.x40 + 3.23*m.x18*m.x23 + 5.09*m.x18 + 1.78*
                        m.x19*m.x28 + 8.73*m.x19*m.x32 + 3.04*m.x32 + 0.8*m.x19*m.x35 + 2.54*m.x20*m.x20 + 4.32*m.x20*
                        m.x28 + 6.51*m.x20*m.x34 + 1.81*m.x34 + 7.1*m.x20*m.x38 + 2.13*m.x38 + 4.44*m.x21*m.x21 + 3.16*
                        m.x21*m.x26 + 2.13*m.x21*m.x32 + 9.13*m.x21*m.x33 + 5.68*m.x33 + 9.19*m.x22*m.x30 + 3.07*m.x22*
                        m.x31 + 8.15*m.x31 + 1.69*m.x23*m.x24 + 0.63*m.x23*m.x32 + 9.64*m.x24*m.x31 - 4.88*m.x24*m.x34
                         + 8.39*m.x24*m.x39 + 1.6*m.x25*m.x29 + 8.04*m.x26*m.x28 + 6.31*m.x26*m.x37 + 9.88*m.x27*m.x28
                         + 7.08*m.x27 + 4.86*m.x27*m.x36 + 3.99*m.x27*m.x39 + 4.03*m.x28*m.x37 + 6.94*m.x29*m.x33 - 3.66
                        *m.x29*m.x34 - 3.78*m.x29*m.x35 + 6.99*m.x30*m.x36 + 3.33*m.x30*m.x37 - 0.66*m.x31*m.x34 + 0.81*
                        m.x34*m.x35 + m.x35*m.x35 + 5.99*m.x5 >= 1186.724)

m.c27 = Constraint(expr=   6.92*m.x1 + 8.13*m.x2 + 7.4*m.x3 - 4.5*m.x4 + 2.11*m.x5 + 9.37*m.x6 + 7.79*m.x7 + 5.72*m.x8
                         + 3.42*m.x9 + 1.43*m.x10 + 2.38*m.x11 - 0.9*m.x12 + 0.39*m.x13 + 9.05*m.x14 + 3.27*m.x15
                         + 3.94*m.x16 + 3.72*m.x17 - 9.86*m.x18 + 0.99*m.x19 + 7.18*m.x20 + 2.65*m.x21 + 0.79*m.x22
                         + 2.51*m.x23 + 3.46*m.x24 + 3.59*m.x25 + 5.82*m.x26 + 0.5*m.x27 + 9.49*m.x28 + 9.99*m.x29
                         + 4.89*m.x30 + 3.87*m.x31 + 0.36*m.x32 + 3.48*m.x33 + 4.09*m.x34 + 9.48*m.x35 + 5.42*m.x36
                         + 6.29*m.x37 + 7.14*m.x38 + 5.16*m.x39 + 5.29*m.x40 >= 234.418)

m.c28 = Constraint(expr=7.24*m.x1*m.x7 - 4.82*m.x1 + 9.78*m.x7 + 1.96*m.x1*m.x23 + 8.46*m.x23 + 5.81*m.x1*m.x29 + 8.53*
                        m.x29 + 6.57*m.x2*m.x25 + 8.04*m.x2 + 7.26*m.x25 + 3.24*m.x2*m.x28 + 7*m.x28 + 2.9*m.x2*m.x35 - 
                        1.91*m.x35 + 5.44*m.x3*m.x13 + 3.98*m.x3 + 3.11*m.x13 + 7.89*m.x3*m.x26 + 8.31*m.x26 + 8.1*m.x4*
                        m.x21 + 0.23*m.x4 + 1.86*m.x21 + 0.92*m.x4*m.x24 + 4.19*m.x24 - 9.58*m.x6*m.x12 + 5.07*m.x6 + 
                        3.12*m.x12 + 2.56*m.x6*m.x24 + 2.17*m.x6*m.x30 + 5.66*m.x30 + 8*m.x6*m.x39 - 7.7*m.x39 - 5.6*
                        m.x7*m.x8 + 9.69*m.x8 + 1.8*m.x7*m.x19 + 8.97*m.x19 + 2.11*m.x7*m.x21 + 5.42*m.x7*m.x22 + 4.33*
                        m.x22 + 6.93*m.x7*m.x23 + 4.19*m.x8*m.x9 - 6.22*m.x9 - 3.29*m.x8*m.x15 + 3.06*m.x15 + 5.19*m.x8*
                        m.x16 + 2.06*m.x16 + 6.12*m.x8*m.x29 + 2.71*m.x9*m.x19 + 3.36*m.x9*m.x20 + 3.44*m.x20 - 2.75*
                        m.x9*m.x28 + 9.07*m.x9*m.x30 + 3.13*m.x9*m.x36 + 2.24*m.x36 + 7.24*m.x10*m.x16 + 5.93*m.x10 + 
                        0.91*m.x10*m.x35 + 0.57*m.x11*m.x14 + 3.86*m.x11 + 4.22*m.x14 + 3.49*m.x11*m.x16 + 3.13*m.x11*
                        m.x20 + 5.06*m.x12*m.x19 + 1.01*m.x13*m.x15 - 4.98*m.x13*m.x21 + 10*m.x13*m.x23 + 9.59*m.x13*
                        m.x28 + 4.43*m.x13*m.x37 + 4.94*m.x37 + 4.02*m.x14*m.x14 + 6.16*m.x14*m.x24 - 5.62*m.x14*m.x25
                         + 7.76*m.x16*m.x17 + 9.78*m.x17 + 5.52*m.x16*m.x35 + 9.14*m.x17*m.x17 - 9.9*m.x17*m.x23 - 1.33*
                        m.x17*m.x35 + 7.51*m.x17*m.x40 + 8.93*m.x40 + 6.88*m.x18*m.x23 + 7.11*m.x18 - 5.05*m.x19*m.x28
                         + 0.62*m.x19*m.x32 + 7.43*m.x32 + 6.93*m.x19*m.x35 + 0.04*m.x20*m.x20 + 0.98*m.x20*m.x28 + 9.27
                        *m.x20*m.x34 + 9.86*m.x34 + 6.71*m.x20*m.x38 + 5.19*m.x38 + 5.7*m.x21*m.x21 + 7.6*m.x21*m.x26 + 
                        3.37*m.x21*m.x32 + 4.09*m.x21*m.x33 + 6.44*m.x33 + 2.18*m.x22*m.x30 - 8.74*m.x22*m.x31 + 3.84*
                        m.x31 + 6.92*m.x23*m.x24 + 0.18*m.x23*m.x32 + 5.23*m.x24*m.x31 + 7.37*m.x24*m.x34 + 8.61*m.x24*
                        m.x39 + 0.79*m.x25*m.x29 + 5.37*m.x26*m.x28 + 2.05*m.x26*m.x37 - 9.83*m.x27*m.x28 + 5.43*m.x27
                         + 8.51*m.x27*m.x36 + 6.54*m.x27*m.x39 - 4.58*m.x28*m.x37 + 3.92*m.x29*m.x33 + 6.02*m.x29*m.x34
                         + 5.99*m.x29*m.x35 + 9.03*m.x30*m.x36 - 6.69*m.x30*m.x37 + 0.63*m.x31*m.x34 + 5.4*m.x34*m.x35
                         + 1.82*m.x35*m.x35 + 4.56*m.x5 >= 1131.664)

m.c29 = Constraint(expr= - 8.16*m.x1 + 0.16*m.x2 + 3.27*m.x3 - 3.29*m.x4 + 5.6*m.x5 + 9.98*m.x6 + 8.54*m.x7 + 0.28*m.x8
                         - 7.73*m.x9 + 1.3*m.x10 + 5.5*m.x11 + 0.17*m.x12 + 0.29*m.x13 + 0.81*m.x14 + 9.9*m.x15
                         + 6.02*m.x16 + 2.77*m.x17 + 1.44*m.x18 - 6.33*m.x19 + 3.02*m.x20 + 6.4*m.x21 + 4.44*m.x22
                         + 6.86*m.x23 + 6.2*m.x24 + 3.45*m.x25 + 2.75*m.x26 + 0.96*m.x27 + 9.39*m.x28 - 7.71*m.x29
                         + 5.48*m.x30 + 6.54*m.x31 - 5.38*m.x32 + 6.23*m.x33 + 3.83*m.x34 + 2.44*m.x35 + 7.36*m.x36
                         - 2.37*m.x37 + 8.09*m.x38 + 1.99*m.x39 - 1.68*m.x40 >= 151.025)

m.c30 = Constraint(expr=2.41*m.x1*m.x7 + 0.05*m.x1 - 8.47*m.x7 + 2.02*m.x1*m.x23 + 4.14*m.x23 + 7.87*m.x1*m.x29 + 1.88*
                        m.x29 + 6.53*m.x2*m.x25 + 5.97*m.x2 + 6.47*m.x25 + 7.25*m.x2*m.x28 + 3.46*m.x28 + 7.87*m.x2*
                        m.x35 + 5.14*m.x35 - 2.68*m.x3*m.x13 + 7.91*m.x3 + 3.95*m.x13 - 5.91*m.x3*m.x26 - 2.88*m.x26 + 
                        9.32*m.x4*m.x21 + 1.72*m.x4 + 5.42*m.x21 + 4.67*m.x4*m.x24 + 0.33*m.x24 + 3.09*m.x6*m.x12 + 2.21
                        *m.x6 + 0.26*m.x12 + 4.85*m.x6*m.x24 + 5.87*m.x6*m.x30 - 1.6*m.x30 + 2.65*m.x6*m.x39 + 7.3*m.x39
                         + 7.04*m.x7*m.x8 + 3.13*m.x8 + 6.32*m.x7*m.x19 + 7.25*m.x19 - 5.55*m.x7*m.x21 + 7.24*m.x7*m.x22
                         + 1.38*m.x22 + 1.5*m.x7*m.x23 + 6.83*m.x8*m.x9 + 2.65*m.x9 + 1.42*m.x8*m.x15 + 9.71*m.x15 - 
                        6.09*m.x8*m.x16 + 3.85*m.x16 + 6.08*m.x8*m.x29 + 9.14*m.x9*m.x19 + 5.22*m.x9*m.x20 + 10*m.x20 + 
                        7.42*m.x9*m.x28 + 7.9*m.x9*m.x30 + 6.18*m.x9*m.x36 + 4.89*m.x36 + 2.87*m.x10*m.x16 + 9.37*m.x10
                         + 9.57*m.x10*m.x35 + 7.74*m.x11*m.x14 + 4.83*m.x11 + 9.88*m.x14 + 6.27*m.x11*m.x16 + 1.22*m.x11
                        *m.x20 + 1.83*m.x12*m.x19 + 7.4*m.x13*m.x15 + 9.57*m.x13*m.x21 + 6.08*m.x13*m.x23 + 6.5*m.x13*
                        m.x28 + 8.38*m.x13*m.x37 + 7.23*m.x37 + 5.75*m.x14*m.x14 + 1.46*m.x14*m.x24 + 2.24*m.x14*m.x25
                         + 1.7*m.x16*m.x17 + 6.78*m.x17 + 2.95*m.x16*m.x35 + 0.08*m.x17*m.x17 + 8.6*m.x17*m.x23 + 9.09*
                        m.x17*m.x35 + 7.98*m.x17*m.x40 + 5.84*m.x40 + 5.12*m.x18*m.x23 - 9.4*m.x18 - 1.86*m.x19*m.x28 + 
                        5.34*m.x19*m.x32 + 7.67*m.x32 + 7.74*m.x19*m.x35 + 3.26*m.x20*m.x20 + 2.13*m.x20*m.x28 + 1.92*
                        m.x20*m.x34 + 4.28*m.x34 + 1.95*m.x20*m.x38 + 6.19*m.x38 - 8.89*m.x21*m.x21 + 1.59*m.x21*m.x26
                         + 1.92*m.x21*m.x32 - 7.09*m.x21*m.x33 + 3.24*m.x33 - 9.66*m.x22*m.x30 + 4.16*m.x22*m.x31 + 1.14
                        *m.x31 + 6.12*m.x23*m.x24 + 1.55*m.x23*m.x32 - 3.23*m.x24*m.x31 + 6.24*m.x24*m.x34 + 0.41*m.x24*
                        m.x39 + 2.15*m.x25*m.x29 + 5.25*m.x26*m.x28 + 8.83*m.x26*m.x37 + 4.39*m.x27*m.x28 + 2.03*m.x27
                         + 1.76*m.x27*m.x36 + 8.63*m.x27*m.x39 + 0.8*m.x28*m.x37 + 1.31*m.x29*m.x33 - 8.31*m.x29*m.x34
                         + 4.09*m.x29*m.x35 + 3.54*m.x30*m.x36 + 9.15*m.x30*m.x37 + 4.92*m.x31*m.x34 + 1.85*m.x34*m.x35
                         + 6.69*m.x35*m.x35 + 9.22*m.x5 >= 1169.96)
