#  NLP written by GAMS Convert at 05/24/17 14:05:41
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         10        4        6        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         13       13        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        121       81       40        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.54,2.25),initialize=0.54)
m.x2 = Var(within=Reals,bounds=(0.77,2.98),initialize=0.77)
m.x3 = Var(within=Reals,bounds=(0.28,2.31),initialize=0.28)
m.x4 = Var(within=Reals,bounds=(0.85,2.47),initialize=0.85)
m.x5 = Var(within=Reals,bounds=(0.12,2.42),initialize=0.12)
m.x6 = Var(within=Reals,bounds=(0.17,2.26),initialize=0.17)
m.x7 = Var(within=Reals,bounds=(0.57,2.55),initialize=0.57)
m.x8 = Var(within=Reals,bounds=(0.53,2.25),initialize=0.53)
m.x9 = Var(within=Reals,bounds=(0.43,2.34),initialize=0.43)
m.x10 = Var(within=Reals,bounds=(0.6,2.26),initialize=0.6)
m.x11 = Var(within=Reals,bounds=(0.4,2.62),initialize=0.4)
m.x12 = Var(within=Reals,bounds=(0.4,3),initialize=0.4)

m.obj = Objective(expr=7.87*m.x1*m.x3*m.x3 + 3.8*m.x1 - 5.01*m.x3 + 9.13*m.x3*m.x5*m.x8 + 7.69*m.x5 + 8.04*m.x8 + 2.24*
                       m.x1*m.x5*m.x7*m.x12 + 6.92*m.x7 + 2.02*m.x12 + 1.38*m.x1*m.x5*m.x8*m.x8 + 3.56*m.x1*m.x5*m.x9*
                       m.x12 + 2.1*m.x9 + 8.83*m.x1*m.x6*m.x10*m.x12 + 6.26*m.x6 + 7.85*m.x10 + 2.02*m.x1*m.x10*m.x10*
                       m.x12 + 9.41*m.x2*m.x2*m.x4*m.x8 + 7.6*m.x2 + 2.2*m.x4 + 4.88*m.x2*m.x3*m.x8*m.x9 + 2.4*m.x2*m.x4
                       *m.x6*m.x9 + 0.65*m.x2*m.x4*m.x9*m.x11 + 5*m.x11 + 8.33*m.x2*m.x4*m.x10*m.x11 - 0.33*m.x2*m.x6*
                       m.x8*m.x8 + 2.98*m.x2*m.x8*m.x8*m.x10 + 6.17*m.x3*m.x3*m.x4*m.x5 + 8.39*m.x5*m.x5*m.x8*m.x10 + 
                       3.12*m.x5*m.x5*m.x11*m.x12 + 8.63*m.x5*m.x6*m.x6*m.x10 + 3.39*m.x6*m.x6*m.x6*m.x8 + 3.2*m.x7*m.x7
                       *m.x8*m.x8 + 9.34*m.x1*m.x1*m.x2*m.x4*m.x10 + 5.81*m.x1*m.x1*m.x4*m.x7*m.x10 + 5.15*m.x1*m.x1*
                       m.x4*m.x7*m.x11 + 1.37*m.x1*m.x1*m.x4*m.x9*m.x11 + 2.37*m.x1*m.x1*m.x8*m.x12*m.x12 + 9.08*m.x1*
                       m.x2*m.x2*m.x4*m.x5 - 9.91*m.x1*m.x3*m.x3*m.x3*m.x8 + 4.31*m.x1*m.x3*m.x5*m.x8*m.x10 + 3.56*m.x1*
                       m.x3*m.x10*m.x11*m.x11 + 7.14*m.x1*m.x4*m.x4*m.x4*m.x5 + 5.5*m.x1*m.x4*m.x8*m.x8*m.x12 + 0.39*
                       m.x1*m.x5*m.x6*m.x8*m.x9 - 9.09*m.x1*m.x7*m.x8*m.x8*m.x12 + 4.96*m.x1*m.x7*m.x8*m.x9*m.x10 + 9.17
                       *m.x1*m.x9*m.x9*m.x10*m.x11 + 5.23*m.x2*m.x2*m.x5*m.x6*m.x9 + 3.23*m.x2*m.x2*m.x6*m.x7*m.x9 + 
                       2.36*m.x2*m.x3*m.x5*m.x8*m.x12 + 3.87*m.x2*m.x3*m.x6*m.x11*m.x12 + 8.36*m.x2*m.x3*m.x7*m.x8*m.x8
                        + 7.65*m.x2*m.x3*m.x8*m.x9*m.x12 + 8.65*m.x2*m.x4*m.x5*m.x7*m.x8 + 0.81*m.x2*m.x4*m.x6*m.x8*
                       m.x12 + 6.02*m.x2*m.x5*m.x6*m.x7*m.x12 + 7.14*m.x3*m.x3*m.x3*m.x8*m.x9 + 3.68*m.x3*m.x3*m.x6*m.x6
                       *m.x7 + 8.24*m.x3*m.x4*m.x5*m.x10*m.x12 + 0.32*m.x3*m.x4*m.x10*m.x12*m.x12 + 1.55*m.x3*m.x5*m.x8*
                       m.x8*m.x11 + 5*m.x3*m.x5*m.x9*m.x9*m.x12 + 6.48*m.x3*m.x6*m.x10*m.x10*m.x10 + 4.53*m.x3*m.x8*m.x8
                       *m.x8*m.x9 + 3.88*m.x4*m.x4*m.x4*m.x5*m.x9 + 1.38*m.x4*m.x7*m.x7*m.x7*m.x8 + 9.21*m.x4*m.x11*
                       m.x11*m.x11*m.x11 + 4.71*m.x5*m.x5*m.x5*m.x6*m.x12 + 4.74*m.x5*m.x5*m.x7*m.x7*m.x10 + 2.52*m.x5*
                       m.x5*m.x8*m.x9*m.x11 + 1.03*m.x6*m.x10*m.x10*m.x10*m.x11 + 7.57*m.x7*m.x8*m.x8*m.x10*m.x12 + 3.03
                       *m.x8*m.x8*m.x10*m.x11*m.x12 + 5.04*m.x8*m.x10*m.x10*m.x11*m.x12, sense=minimize)

m.c1 = Constraint(expr=   6.9*m.x1 + 6.61*m.x2 + 6.21*m.x3 - 3.55*m.x4 + 2.24*m.x5 + 3.07*m.x6 + 10*m.x7 + 4.82*m.x8
                        + 0.79*m.x9 + 3.8*m.x10 + 4.28*m.x11 - 7.12*m.x12 == 53.93)

m.c2 = Constraint(expr=   7.74*m.x1 + 6.3*m.x2 - 7.2*m.x3 - 2.31*m.x4 + 7.94*m.x5 + 5.33*m.x6 + 9.33*m.x7 + 0.02*m.x8
                        + 3.69*m.x9 + 8.82*m.x10 + 1.09*m.x11 + 7.87*m.x12 == 73.342)

m.c3 = Constraint(expr=   2.04*m.x1 + 3.57*m.x2 + 5.88*m.x3 + 6.37*m.x4 + 4.46*m.x5 + 6.48*m.x6 + 6.14*m.x7 + 3.18*m.x8
                        + 5.52*m.x9 + 9.96*m.x10 + 1.51*m.x11 + 9.99*m.x12 == 96.415)

m.c4 = Constraint(expr=   8.2*m.x1 + 1.79*m.x2 - 1.35*m.x3 + 5.82*m.x4 + 7.78*m.x5 + 1.58*m.x6 + 0.55*m.x7 + 2.78*m.x8
                        + 8.68*m.x9 - 1.28*m.x10 + 5.37*m.x11 - 3.66*m.x12 >= 51.309)

m.c5 = Constraint(expr=   9.55*m.x1 + 7.49*m.x2 + 4.74*m.x3 - 3.84*m.x4 + 4.41*m.x5 + 7.67*m.x6 + 7.74*m.x7 + 2.59*m.x8
                        + 5.02*m.x9 + 1.58*m.x10 - 6.61*m.x11 + 0.2*m.x12 >= 57.295)

m.c6 = Constraint(expr=0.29*m.x1*m.x3*m.x3 - 4.55*m.x1 + 1.01*m.x3 + 5.86*m.x3*m.x5*m.x8 + 2.42*m.x5 + 9.17*m.x8
                        + 3.96*m.x2 + 6.24*m.x4 + 8.49*m.x6 + 3.55*m.x7 + 0.46*m.x9 + 3*m.x10 + 6.5*m.x11 + 7.15*m.x12
                        >= 109.967)

m.c7 = Constraint(expr=0.81*m.x1*m.x3*m.x3 + 9.86*m.x1 + 1.96*m.x3 + 3.06*m.x3*m.x5*m.x8 + 0.57*m.x5 + 0.55*m.x8 + 0.87*
                       m.x1*m.x5*m.x7*m.x12 + 3.79*m.x7 + 7.56*m.x12 + 4.93*m.x1*m.x5*m.x8*m.x8 + 9.82*m.x1*m.x5*m.x9*
                       m.x12 + 3.01*m.x9 - 3.01*m.x1*m.x6*m.x10*m.x12 + 3.04*m.x6 + 0.64*m.x10 + 0.75*m.x1*m.x10*m.x10*
                       m.x12 + 4.37*m.x2*m.x2*m.x4*m.x8 + 0.1*m.x2 + 3.75*m.x4 + 2.38*m.x2*m.x3*m.x8*m.x9 + 4.05*m.x2*
                       m.x4*m.x6*m.x9 + 8.59*m.x2*m.x4*m.x9*m.x11 + 3.56*m.x11 + 3.08*m.x2*m.x4*m.x10*m.x11 + 2.79*m.x2*
                       m.x6*m.x8*m.x8 + 0.2*m.x2*m.x8*m.x8*m.x10 + 6.22*m.x3*m.x3*m.x4*m.x5 + 8.98*m.x5*m.x5*m.x8*m.x10
                        + 4.16*m.x5*m.x5*m.x11*m.x12 + 6.75*m.x5*m.x6*m.x6*m.x10 + 9.33*m.x6*m.x6*m.x6*m.x8 + 7.1*m.x7*
                       m.x7*m.x8*m.x8 >= 1520.728)

m.c8 = Constraint(expr=6.3*m.x1 - 0.34*m.x1*m.x3*m.x3 + 6.1*m.x3 + 7.41*m.x3*m.x5*m.x8 + 5.08*m.x5 + 3.29*m.x8 + 3.59*
                       m.x1*m.x5*m.x7*m.x12 + 7.07*m.x7 + 2.66*m.x12 + 8.49*m.x1*m.x5*m.x8*m.x8 + 9.43*m.x1*m.x5*m.x9*
                       m.x12 + 2.87*m.x9 + 4.1*m.x1*m.x6*m.x10*m.x12 + 2.08*m.x6 + 2.61*m.x10 + 8.49*m.x1*m.x10*m.x10*
                       m.x12 + 1.93*m.x2*m.x2*m.x4*m.x8 + 2.29*m.x2 - 7.31*m.x4 + 7.64*m.x2*m.x3*m.x8*m.x9 + 2.75*m.x2*
                       m.x4*m.x6*m.x9 + 4.79*m.x2*m.x4*m.x9*m.x11 + 6.26*m.x11 + 6.22*m.x2*m.x4*m.x10*m.x11 + 3.53*m.x2*
                       m.x6*m.x8*m.x8 + 5.44*m.x2*m.x8*m.x8*m.x10 + 6.82*m.x3*m.x3*m.x4*m.x5 + 1.86*m.x5*m.x5*m.x8*m.x10
                        + 3.47*m.x5*m.x5*m.x11*m.x12 + 7.07*m.x5*m.x6*m.x6*m.x10 + 6.86*m.x6*m.x6*m.x6*m.x8 + 3.04*m.x7*
                       m.x7*m.x8*m.x8 + 9.65*m.x1*m.x1*m.x2*m.x4*m.x10 - 7.41*m.x1*m.x1*m.x4*m.x7*m.x10 - 3.71*m.x1*m.x1
                       *m.x4*m.x7*m.x11 + 5.34*m.x1*m.x1*m.x4*m.x9*m.x11 - 9.33*m.x1*m.x1*m.x8*m.x12*m.x12 + 4.49*m.x1*
                       m.x2*m.x2*m.x4*m.x5 + 2.61*m.x1*m.x3*m.x3*m.x3*m.x8 - 4.71*m.x1*m.x3*m.x5*m.x8*m.x10 - 5.37*m.x1*
                       m.x3*m.x10*m.x11*m.x11 + 9.07*m.x1*m.x4*m.x4*m.x4*m.x5 + 6.35*m.x1*m.x4*m.x8*m.x8*m.x12 + 7.61*
                       m.x1*m.x5*m.x6*m.x8*m.x9 + 7.98*m.x1*m.x7*m.x8*m.x8*m.x12 + 0.56*m.x1*m.x7*m.x8*m.x9*m.x10 - 7.67
                       *m.x1*m.x9*m.x9*m.x10*m.x11 + 2.5*m.x2*m.x2*m.x5*m.x6*m.x9 + 7.71*m.x2*m.x2*m.x6*m.x7*m.x9 + 4.03
                       *m.x2*m.x3*m.x5*m.x8*m.x12 + 2.87*m.x2*m.x3*m.x6*m.x11*m.x12 + 2.52*m.x2*m.x3*m.x7*m.x8*m.x8 + 
                       9.72*m.x2*m.x3*m.x8*m.x9*m.x12 + 8.53*m.x2*m.x4*m.x5*m.x7*m.x8 + 6.74*m.x2*m.x4*m.x6*m.x8*m.x12
                        + 9.42*m.x2*m.x5*m.x6*m.x7*m.x12 + 9.3*m.x3*m.x3*m.x3*m.x8*m.x9 + 6.7*m.x3*m.x3*m.x6*m.x6*m.x7
                        - 8.62*m.x3*m.x4*m.x5*m.x10*m.x12 + 8.78*m.x3*m.x4*m.x10*m.x12*m.x12 + 8.61*m.x3*m.x5*m.x8*m.x8*
                       m.x11 + 5.54*m.x3*m.x5*m.x9*m.x9*m.x12 + 9.85*m.x3*m.x6*m.x10*m.x10*m.x10 + 6.44*m.x3*m.x8*m.x8*
                       m.x8*m.x9 + 4.68*m.x4*m.x4*m.x4*m.x5*m.x9 + 8.54*m.x4*m.x7*m.x7*m.x7*m.x8 + 2.39*m.x4*m.x11*m.x11
                       *m.x11*m.x11 + 6.22*m.x5*m.x5*m.x5*m.x6*m.x12 + 8.72*m.x5*m.x5*m.x7*m.x7*m.x10 + 8.94*m.x5*m.x5*
                       m.x8*m.x9*m.x11 + 8.65*m.x6*m.x10*m.x10*m.x10*m.x11 + 8.81*m.x7*m.x8*m.x8*m.x10*m.x12 + 6.54*m.x8
                       *m.x8*m.x10*m.x11*m.x12 + 4.33*m.x8*m.x10*m.x10*m.x11*m.x12 >= 10145.684)

m.c9 = Constraint(expr=   2.69*m.x1 + 2.03*m.x2 + 0.4*m.x3 + 2.47*m.x4 + 2.57*m.x5 + 2.23*m.x6 + 1.95*m.x7 + 8.37*m.x8
                        + 3.99*m.x9 + 7.02*m.x10 + 6.52*m.x11 + 2.58*m.x12 >= 62.623)
