#  NLP written by GAMS Convert at 05/24/17 14:05:42
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         13        7        6        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         13       13        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        121       71       50        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.61,2.52),initialize=0.61)
m.x2 = Var(within=Reals,bounds=(0.03,2.92),initialize=0.03)
m.x3 = Var(within=Reals,bounds=(0.25,2.87),initialize=0.25)
m.x4 = Var(within=Reals,bounds=(0.83,2.08),initialize=0.83)
m.x5 = Var(within=Reals,bounds=(0.88,2.3),initialize=0.88)
m.x6 = Var(within=Reals,bounds=(0.63,2.19),initialize=0.63)
m.x7 = Var(within=Reals,bounds=(0.4,2.88),initialize=0.4)
m.x8 = Var(within=Reals,bounds=(0.41,2.47),initialize=0.41)
m.x9 = Var(within=Reals,bounds=(0.33,2.03),initialize=0.33)
m.x10 = Var(within=Reals,bounds=(0.49,2.51),initialize=0.49)
m.x11 = Var(within=Reals,bounds=(0.62,2.12),initialize=0.62)
m.x12 = Var(within=Reals,bounds=(0.57,2.38),initialize=0.57)

m.obj = Objective(expr=9.24*m.x2*m.x4 + 2.71*m.x2 + 1.08*m.x4 + 9.51*m.x7*m.x11 - 5.54*m.x7 + 7.48*m.x11 + 1.15*m.x8*
                       m.x12 + 5.64*m.x8 + 8.52*m.x12 + 2.94*m.x6*m.x7*m.x9 - 7.47*m.x6 + 5.38*m.x9 - 6.85*m.x1*m.x2*
                       m.x6*m.x6 + 2.32*m.x1 + 8.71*m.x1*m.x2*m.x12*m.x12 + 7.42*m.x1*m.x3*m.x3*m.x9 + 8.78*m.x3 + 3.96*
                       m.x1*m.x7*m.x8*m.x8 + 6.13*m.x2*m.x6*m.x6*m.x9 + 9.13*m.x3*m.x3*m.x3*m.x8 + 5.53*m.x3*m.x4*m.x6*
                       m.x10 + 7.04*m.x10 + 3.91*m.x4*m.x4*m.x6*m.x9 + 3.25*m.x4*m.x8*m.x10*m.x11 + 2.04*m.x5*m.x6*m.x8*
                       m.x10 + 6.03*m.x5 + 8.18*m.x6*m.x11*m.x11*m.x11 + 9.2*m.x7*m.x9*m.x10*m.x11 + 3.46*m.x1*m.x1*m.x3
                       *m.x3*m.x5 + 2.87*m.x1*m.x1*m.x3*m.x6*m.x9 + 8.04*m.x1*m.x1*m.x5*m.x9*m.x9 + 8.32*m.x1*m.x1*m.x7*
                       m.x9*m.x12 + 3.15*m.x1*m.x2*m.x2*m.x3*m.x12 + 9.82*m.x1*m.x2*m.x3*m.x3*m.x5 + 5.44*m.x1*m.x2*m.x3
                       *m.x6*m.x7 + 1.06*m.x1*m.x2*m.x3*m.x7*m.x8 + 3.18*m.x1*m.x2*m.x6*m.x7*m.x7 + 3.82*m.x1*m.x2*m.x7*
                       m.x7*m.x9 + 7.27*m.x1*m.x2*m.x7*m.x7*m.x10 + 9.08*m.x1*m.x2*m.x7*m.x10*m.x10 + 3.43*m.x1*m.x3*
                       m.x5*m.x7*m.x10 - 9.55*m.x1*m.x4*m.x4*m.x5*m.x11 + 7.24*m.x1*m.x5*m.x6*m.x9*m.x10 - 7.61*m.x1*
                       m.x5*m.x10*m.x10*m.x11 + 8.65*m.x1*m.x7*m.x7*m.x7*m.x11 + 7.92*m.x1*m.x9*m.x11*m.x11*m.x11 + 7.29
                       *m.x2*m.x2*m.x9*m.x9*m.x11 + 8.51*m.x2*m.x3*m.x6*m.x8*m.x9 + 5.5*m.x2*m.x3*m.x7*m.x7*m.x9 + 9.66*
                       m.x2*m.x4*m.x8*m.x9*m.x9 - 0.27*m.x2*m.x6*m.x8*m.x8*m.x12 + 4.47*m.x2*m.x9*m.x11*m.x11*m.x11 + 
                       0.91*m.x3*m.x3*m.x3*m.x3*m.x5 + 0.2*m.x3*m.x3*m.x3*m.x6*m.x8 + 3.92*m.x3*m.x3*m.x6*m.x7*m.x7 + 
                       4.56*m.x3*m.x3*m.x7*m.x9*m.x12 - 1.6*m.x3*m.x4*m.x6*m.x11*m.x12 + 5.82*m.x3*m.x8*m.x9*m.x9*m.x9
                        + 6.04*m.x3*m.x10*m.x10*m.x10*m.x11 + 0.99*m.x4*m.x5*m.x5*m.x5*m.x10 + 4.94*m.x4*m.x5*m.x11*
                       m.x11*m.x12 + 1.01*m.x4*m.x6*m.x6*m.x11*m.x11 + 0.96*m.x4*m.x7*m.x8*m.x8*m.x8 + 7.09*m.x4*m.x8*
                       m.x8*m.x9*m.x11 + 1.01*m.x5*m.x5*m.x5*m.x6*m.x10 + 7.14*m.x5*m.x5*m.x7*m.x9*m.x12 + 7.2*m.x5*m.x5
                       *m.x8*m.x8*m.x10 + 6.57*m.x6*m.x6*m.x7*m.x10*m.x10 + 5.89*m.x6*m.x6*m.x8*m.x8*m.x11 + 2.29*m.x6*
                       m.x6*m.x8*m.x11*m.x12 + 6.45*m.x6*m.x7*m.x7*m.x7*m.x7 + 4.08*m.x6*m.x8*m.x9*m.x10*m.x10 + 6.29*
                       m.x6*m.x10*m.x10*m.x12*m.x12 + 2.44*m.x7*m.x7*m.x11*m.x12*m.x12, sense=minimize)

m.c1 = Constraint(expr=   4.61*m.x4 + 2.66*m.x8 + 5.32*m.x9 - 8.76*m.x10 + 7.93*m.x11 + 3.31*m.x12 == 19.422)

m.c2 = Constraint(expr=   8.8*m.x2 + 5.54*m.x4 + 6.54*m.x7 - 9.39*m.x9 + 5.22*m.x11 + 6.42*m.x12 == 37.307)

m.c3 = Constraint(expr=   5.97*m.x1 + 3.28*m.x2 + 8.89*m.x3 + 7.45*m.x9 + 6.12*m.x10 + 7.97*m.x11 == 56.939)

m.c4 = Constraint(expr=   0.98*m.x1 + 7.97*m.x2 + 9.65*m.x5 + 2.87*m.x7 + 0.27*m.x10 - 7.5*m.x11 == 23.47)

m.c5 = Constraint(expr=   3.73*m.x1 + 6.18*m.x3 - 2.51*m.x4 + 9.61*m.x7 + 6.67*m.x11 - 9.84*m.x12 == 22.211)

m.c6 = Constraint(expr= - 7.78*m.x1 + 2.7*m.x4 + 7.77*m.x7 + 4.49*m.x8 + 0.69*m.x10 + 9.5*m.x11 == 25.011)

m.c7 = Constraint(expr=   3.52*m.x1 + 8.16*m.x2 + 7.89*m.x3 - 8.73*m.x4 + 9.76*m.x5 + 0.47*m.x6 + 7.55*m.x7 - 5.24*m.x8
                        + 0.84*m.x9 + 4.62*m.x10 + 2.45*m.x11 + 1.28*m.x12 >= 51.334)

m.c8 = Constraint(expr=2.82*m.x2*m.x4 + 4.38*m.x2 - 5.74*m.x4 + 5.61*m.x7*m.x11 + 4.37*m.x7 + 0.22*m.x11 + 3.74*m.x8*
                       m.x12 + 2.02*m.x8 + 8.85*m.x12 + 3.17*m.x1 + 3.3*m.x3 + 10*m.x5 + 8.05*m.x6 + 7.64*m.x9
                        + 3.71*m.x10 >= 111.33)

m.c9 = Constraint(expr=1.28*m.x2 - 3.37*m.x2*m.x4 + 5.41*m.x4 + 5.96*m.x7*m.x11 + 3.7*m.x7 + 4.95*m.x11 + 4.21*m.x8*
                       m.x12 + 3.78*m.x8 + 7.27*m.x12 + 7.13*m.x6*m.x7*m.x9 + 7.72*m.x6 + 1.94*m.x9 + 2.35*m.x1
                        + 1.94*m.x3 + 9.34*m.x5 + 6.88*m.x10 >= 151.29)

m.c10 = Constraint(expr=1.45*m.x2*m.x4 + 8.21*m.x2 + 1.72*m.x4 + 9.11*m.x7*m.x11 + 0.77*m.x7 + 8.05*m.x11 + 4.98*m.x8*
                        m.x12 + 2.04*m.x8 + 8.45*m.x12 + 8.69*m.x6*m.x7*m.x9 + 7.87*m.x6 + 6.67*m.x9 + 8.94*m.x1*m.x2*
                        m.x6*m.x6 + 5.03*m.x1 + 5.38*m.x1*m.x2*m.x12*m.x12 + 7.94*m.x1*m.x3*m.x3*m.x9 + 7.21*m.x3 + 7.15
                        *m.x1*m.x7*m.x8*m.x8 + 1.23*m.x2*m.x6*m.x6*m.x9 + 6.94*m.x3*m.x3*m.x3*m.x8 + 2.71*m.x3*m.x4*m.x6
                        *m.x10 + 6.24*m.x10 - 5.37*m.x4*m.x4*m.x6*m.x9 + 7.23*m.x4*m.x8*m.x10*m.x11 + 9.78*m.x5*m.x6*
                        m.x8*m.x10 + 4.81*m.x5 + 4.68*m.x6*m.x11*m.x11*m.x11 + 3.8*m.x7*m.x9*m.x10*m.x11 >= 1371.132)

m.c11 = Constraint(expr=7.44*m.x2*m.x4 + 6.43*m.x2 + 4.79*m.x4 + 6.9*m.x7*m.x11 + 9.72*m.x7 + 0.82*m.x11 + 4.34*m.x8*
                        m.x12 + 6.89*m.x8 + 0.3*m.x12 + 3.69*m.x6*m.x7*m.x9 + 9.52*m.x6 + 0.44*m.x9 - 2.92*m.x1*m.x2*
                        m.x6*m.x6 + 8.54*m.x1 + 7.37*m.x1*m.x2*m.x12*m.x12 + 0.35*m.x1*m.x3*m.x3*m.x9 + 0.3*m.x3 + 2.14*
                        m.x1*m.x7*m.x8*m.x8 + 2.89*m.x2*m.x6*m.x6*m.x9 + 2.68*m.x3*m.x3*m.x3*m.x8 + 5.94*m.x3*m.x4*m.x6*
                        m.x10 + 6.74*m.x10 + 6.47*m.x4*m.x4*m.x6*m.x9 + 7.14*m.x4*m.x8*m.x10*m.x11 - 4.4*m.x5*m.x6*m.x8*
                        m.x10 + 6.48*m.x5 + 4.18*m.x6*m.x11*m.x11*m.x11 + 3.69*m.x7*m.x9*m.x10*m.x11 + 3.92*m.x1*m.x1*
                        m.x3*m.x3*m.x5 + 2.3*m.x1*m.x1*m.x3*m.x6*m.x9 + 4.3*m.x1*m.x1*m.x5*m.x9*m.x9 + 8.79*m.x1*m.x1*
                        m.x7*m.x9*m.x12 - 5.69*m.x1*m.x2*m.x2*m.x3*m.x12 + 6.73*m.x1*m.x2*m.x3*m.x3*m.x5 + 3.13*m.x1*
                        m.x2*m.x3*m.x6*m.x7 + 7.74*m.x1*m.x2*m.x3*m.x7*m.x8 + 6.19*m.x1*m.x2*m.x6*m.x7*m.x7 + 2.2*m.x1*
                        m.x2*m.x7*m.x7*m.x9 + 7.8*m.x1*m.x2*m.x7*m.x7*m.x10 + 1.72*m.x1*m.x2*m.x7*m.x10*m.x10 + 8.82*
                        m.x1*m.x3*m.x5*m.x7*m.x10 + 2.35*m.x1*m.x4*m.x4*m.x5*m.x11 + 9.71*m.x1*m.x5*m.x6*m.x9*m.x10 + 
                        2.7*m.x1*m.x5*m.x10*m.x10*m.x11 + 6.13*m.x1*m.x7*m.x7*m.x7*m.x11 + 5.99*m.x1*m.x9*m.x11*m.x11*
                        m.x11 + 9.69*m.x2*m.x2*m.x9*m.x9*m.x11 + 0.1*m.x2*m.x3*m.x6*m.x8*m.x9 + 0.72*m.x2*m.x3*m.x7*m.x7
                        *m.x9 + 4.58*m.x2*m.x4*m.x8*m.x9*m.x9 + 4.46*m.x2*m.x6*m.x8*m.x8*m.x12 + 8.89*m.x2*m.x9*m.x11*
                        m.x11*m.x11 - 7.25*m.x3*m.x3*m.x3*m.x3*m.x5 + 0.76*m.x3*m.x3*m.x3*m.x6*m.x8 + 4.33*m.x3*m.x3*
                        m.x6*m.x7*m.x7 + 8.79*m.x3*m.x3*m.x7*m.x9*m.x12 + 5.77*m.x3*m.x4*m.x6*m.x11*m.x12 + 8.33*m.x3*
                        m.x8*m.x9*m.x9*m.x9 + 2.13*m.x3*m.x10*m.x10*m.x10*m.x11 - 4.79*m.x4*m.x5*m.x5*m.x5*m.x10 + 6.33*
                        m.x4*m.x5*m.x11*m.x11*m.x12 + 3.3*m.x4*m.x6*m.x6*m.x11*m.x11 + 3.43*m.x4*m.x7*m.x8*m.x8*m.x8 + 
                        8.91*m.x4*m.x8*m.x8*m.x9*m.x11 + 4.75*m.x5*m.x5*m.x5*m.x6*m.x10 + 6.33*m.x5*m.x5*m.x7*m.x9*m.x12
                         + 7.97*m.x5*m.x5*m.x8*m.x8*m.x10 + 3.24*m.x6*m.x6*m.x7*m.x10*m.x10 - 9.72*m.x6*m.x6*m.x8*m.x8*
                        m.x11 + 6.34*m.x6*m.x6*m.x8*m.x11*m.x12 + 2.34*m.x6*m.x7*m.x7*m.x7*m.x7 + 4.13*m.x6*m.x8*m.x9*
                        m.x10*m.x10 + 1.13*m.x6*m.x10*m.x10*m.x12*m.x12 + 5.4*m.x7*m.x7*m.x11*m.x12*m.x12 >= 8966.365)

m.c12 = Constraint(expr= - 3.96*m.x1 + 7.75*m.x2 + 9.58*m.x3 - 4.85*m.x4 + 6.25*m.x5 + 6.85*m.x6 + 7.29*m.x7 + 2.7*m.x8
                         + 5.08*m.x9 + 8.72*m.x10 + 0.1*m.x11 + 2.24*m.x12 >= 71.077)
