#  RMINLP written by GAMS Convert at 05/24/17 14:05:47
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         22        7        4       11        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         11        7        0        4        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         73       17       56        0
# 
#  Reformulation has removed 1 variable and 1 equation
# 
#  Please note that the model below has been relaxed


from pyomo.environ import *

model = m = ConcreteModel()


m.i1 = Var(within=CannotHandle,bounds=(0,100),initialize=0)
m.i2 = Var(within=CannotHandle,bounds=(0,100),initialize=0)
m.i3 = Var(within=CannotHandle,bounds=(0,100),initialize=0)
m.i4 = Var(within=CannotHandle,bounds=(0,100),initialize=0)
m.x6 = Var(within=CannotHandle,bounds=(None,None),initialize=0)
m.x7 = Var(within=CannotHandle,bounds=(None,None),initialize=0)
m.x8 = Var(within=CannotHandle,bounds=(None,None),initialize=0)
m.x9 = Var(within=CannotHandle,bounds=(None,None),initialize=0)
m.x10 = Var(within=CannotHandle,bounds=(None,None),initialize=0)
m.x11 = Var(within=CannotHandle,bounds=(None,None),initialize=0)

m.obj = Objective(expr=13895.3816*m.i1 - 91.8187*m.i1*m.i2 - 2668.5007*m.i2 - 15.1187*m.i1*m.i3 + 20.1313*m.i1*m.i4 - 
                       2050.0226*m.i4 + 686.6017*m.i2*m.i3 - 866.9209*m.i2*m.i4 + 40.5*m.i3*m.i4 - 450.5106*m.i1**2 + 
                       690.8032*m.i2**2 - 487.006*m.i3**2 + 1050.7666*m.i4**2 - 96655.1715, sense=maximize)

m.c2 = Constraint(expr=-(-2.9*m.i1*m.i2 - 22.7128*m.i1 + 117.7713*m.i2 + 11.9*m.i1*m.i3 + 11.4*m.i1*m.i4 - 474.0266*m.i4
                        + 195.9947*m.i2*m.i3 - 179.5319*m.i2*m.i4 - 7.75*m.i3*m.i4 - 0.1596*m.i1**2 - 19.4521*m.i2**2 - 
                       173.3085*m.i3**2 + 207.2181*m.i4**2) + m.x6 == 464.4894)

m.c3 = Constraint(expr=-(3.9062*m.i1*m.i2 - 712.0705*m.i1 - 9.2055*m.i2 - 5.5938*m.i1*m.i3 - 11.0938*m.i1*m.i4 + 
                       436.7646*m.i4 - 162.0658*m.i2*m.i3 + 171.1988*m.i2*m.i4 - 3.25*m.i3*m.i4 + 23.7128*m.i1**2 + 
                       3.6862*m.i2**2 + 140.1509*m.i3**2 - 187.1137*m.i4**2) + m.x7 == 5197.4934)

m.c4 = Constraint(expr=-(118.8285*m.i1 - 6.2688*m.i1*m.i2 + 263.1297*m.i2 + 44.8312*m.i1*m.i3 + 37.0813*m.i1*m.i4 - 
                       1609.2168*m.i4 + 810.1629*m.i2*m.i3 - 797.5539*m.i2*m.i4 - 31.125*m.i3*m.i4 - 7.4255*m.i1**2 - 
                       36.4973*m.i2**2 - 712.4581*m.i3**2 + 856.5086*m.i4**2) + m.x8 == 173.2008)

m.c5 = Constraint(expr=-(14.625*m.i1*m.i2 - 3459.7713*m.i1 + 235.5771*m.i2 + 11.125*m.i1*m.i3 - 12.375*m.i1*m.i4 + 
                       744.3723*m.i4 + 173.6995*m.i2*m.i3 - 273.9282*m.i2*m.i4 + 60.75*m.i3*m.i4 + 112.234*m.i1**2 - 
                       0.9202*m.i2**2 - 214.5559*m.i3**2 + 46.5718*m.i4**2) + m.x9 == 25778.3989)

m.c6 = Constraint(expr=-(-0.15025625*m.i1*m.i2 - 0.0518125*m.i1 + 2.83871875*m.i2 + 0.09844375*m.i1*m.i3 + 0.09844375*
                       m.i1*m.i4 - 3.5381875*m.i4 + 0.89178125*m.i2*m.i3 - 2.64640625*m.i2*m.i4 + 0.584875*m.i3*m.i4 + 
                       0.584875*m.i2**2 - 1.47665625*m.i3**2 + 2.06153125*m.i4**2) + m.x10 == 0.7771875)

m.c7 = Constraint(expr=-(0.0003625*m.i1*m.i2 + 0.000125*m.i1 - 0.0041875*m.i2 - 0.0002375*m.i1*m.i3 - 0.0002375*m.i1*
                       m.i4 + 0.005875*m.i4 - 0.0048125*m.i2*m.i3 + 0.0010625*m.i2*m.i4 + 0.00125*m.i3*m.i4 + 0.00125*
                       m.i2**2 + 0.0035625*m.i3**2 - 0.0023125*m.i4**2) + m.x11 == -0.001875)

m.c8 = Constraint(expr=(-2.9*m.i1*m.i2) - 22.7128*m.i1 + 117.7713*m.i2 + 11.9*m.i1*m.i3 + 11.4*m.i1*m.i4 - 474.0266*m.i4
                        + 195.9947*m.i2*m.i3 - 179.5319*m.i2*m.i4 - 7.75*m.i3*m.i4 - 0.1596*m.i1**2 - 19.4521*m.i2**2 - 
                       173.3085*m.i3**2 + 207.2181*m.i4**2 <= -364.4894)

m.c9 = Constraint(expr=3.9062*m.i1*m.i2 - 712.0705*m.i1 - 9.2055*m.i2 - 5.5938*m.i1*m.i3 - 11.0938*m.i1*m.i4 + 436.7646*
                       m.i4 - 162.0658*m.i2*m.i3 + 171.1988*m.i2*m.i4 - 3.25*m.i3*m.i4 + 23.7128*m.i1**2 + 3.6862*m.i2**
                       2 + 140.1509*m.i3**2 - 187.1137*m.i4**2 <= -5097.4934)

m.c10 = Constraint(expr=118.8285*m.i1 - 6.2688*m.i1*m.i2 + 263.1297*m.i2 + 44.8312*m.i1*m.i3 + 37.0813*m.i1*m.i4 - 
                        1609.2168*m.i4 + 810.1629*m.i2*m.i3 - 797.5539*m.i2*m.i4 - 31.125*m.i3*m.i4 - 7.4255*m.i1**2 - 
                        36.4973*m.i2**2 - 712.4581*m.i3**2 + 856.5086*m.i4**2 <= 26.7992)

m.c11 = Constraint(expr=14.625*m.i1*m.i2 - 3459.7713*m.i1 + 235.5771*m.i2 + 11.125*m.i1*m.i3 - 12.375*m.i1*m.i4 + 
                        744.3723*m.i4 + 173.6995*m.i2*m.i3 - 273.9282*m.i2*m.i4 + 60.75*m.i3*m.i4 + 112.234*m.i1**2 - 
                        0.9202*m.i2**2 - 214.5559*m.i3**2 + 46.5718*m.i4**2 <= -25578.3989)

m.c12 = Constraint(expr=(-0.15025625*m.i1*m.i2) - 0.0518125*m.i1 + 2.83871875*m.i2 + 0.09844375*m.i1*m.i3 + 0.09844375*
                        m.i1*m.i4 - 3.5381875*m.i4 + 0.89178125*m.i2*m.i3 - 2.64640625*m.i2*m.i4 + 0.584875*m.i3*m.i4 + 
                        0.584875*m.i2**2 - 1.47665625*m.i3**2 + 2.06153125*m.i4**2 <= 9.2228125)

m.c13 = Constraint(expr=0.0003625*m.i1*m.i2 + 0.000125*m.i1 - 0.0041875*m.i2 - 0.0002375*m.i1*m.i3 - 0.0002375*m.i1*m.i4
                         + 0.005875*m.i4 - 0.0048125*m.i2*m.i3 + 0.0010625*m.i2*m.i4 + 0.00125*m.i3*m.i4 + 0.00125*m.i2
                        **2 + 0.0035625*m.i3**2 - 0.0023125*m.i4**2 <= 5000.001875)

m.c14 = Constraint(expr=(-347.9586174 + 0.0036*(13895.3816*m.i1 - 91.8187*m.i1*m.i2 - 2668.5007*m.i2 - 15.1187*m.i1*m.i3
                         + 20.1313*m.i1*m.i4 - 2050.0226*m.i4 + 686.6017*m.i2*m.i3 - 866.9209*m.i2*m.i4 + 40.5*m.i3*m.i4
                         - 450.5106*m.i1**2 + 690.8032*m.i2**2 - 487.006*m.i3**2 + 1050.7666*m.i4**2))*(0.1356 + 0.01332
                        *m.i2) + 0.085*m.i1 <= 5)

m.c15 = Constraint(expr=   m.i1 >= 14)

m.c16 = Constraint(expr=   m.i1 <= 16)

m.c17 = Constraint(expr=   m.i2 >= 2)

m.c18 = Constraint(expr=   m.i2 <= 3)

m.c19 = Constraint(expr=   m.i3 >= 1)

m.c20 = Constraint(expr= - m.i2 + m.i3 <= 0)

m.c21 = Constraint(expr=   m.i4 >= 1)

m.c22 = Constraint(expr= - m.i2 + m.i4 <= 0)
