#  MINLP written by GAMS Convert at 05/24/17 14:04:19
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         21        5        9        7        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         13        9        4        0        0        0        0        0
#  FX      8        8        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         58       19       39        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x2 = Var(within=Reals,bounds=(81.09,81.09),initialize=81.09)
m.x3 = Var(within=Reals,bounds=(23.92,23.92),initialize=23.92)
m.x4 = Var(within=Reals,bounds=(6.29,6.29),initialize=6.29)
m.x5 = Var(within=Reals,bounds=(38.7,38.7),initialize=38.7)
m.x6 = Var(within=Reals,bounds=(134.74,134.74),initialize=134.74)
m.x7 = Var(within=Reals,bounds=(48.2,48.2),initialize=48.2)
m.x8 = Var(within=Reals,bounds=(16.23,16.23),initialize=16.23)
m.x9 = Var(within=Reals,bounds=(100.85,100.85),initialize=100.85)
m.b10 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b11 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b12 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b13 = Var(within=Binary,bounds=(0,1),initialize=0)

m.obj = Objective(expr=0.00172*m.x6**2 + 7.6997*m.x6 + 0.000115*m.x6**2*m.x6 + 0.0435*m.x7**2 + 36*m.x7 + 0.027*m.x2**2
                        + 0.6*m.x2 + 0.011*m.x7*m.x2 + 0.1035*m.x8**2 + 34.5*m.x8 + 0.025*m.x3**2 + 2.203*m.x3 + 0.051*
                       m.x8*m.x3 + 0.072*m.x9**2 + 20*m.x9 + 0.02*m.x4**2 + 2.3*m.x4 + 0.04*m.x9*m.x4 + 0.038*m.x5**2 + 
                       2.0109*m.x5 + 6669.8863, sense=minimize)

m.c2 = Constraint(expr=   m.x6 + m.x7 + m.x8 + m.x9 == 300)

m.c3 = Constraint(expr=   m.x2 + m.x3 + m.x4 + m.x5 == 150)

m.c4 = Constraint(expr=   0.272727272727273*m.x3 + m.x8 <= 60)

m.c5 = Constraint(expr= - 2.33333333333333*m.x3 + m.x8 >= -83.333)

m.c6 = Constraint(expr=   0.25*m.x3 + m.x8 >= 20)

m.c7 = Constraint(expr=m.b10*m.x7 - 125.8*m.b10 <= 0)

m.c8 = Constraint(expr=   m.b10 + m.b11 == 1)

m.c9 = Constraint(expr=m.b10*m.x2 - 15.9*m.b10 <= 0)

m.c10 = Constraint(expr=m.b10*m.x7 - 44*m.b10 >= 0)

m.c11 = Constraint(expr=m.b11*m.x7 - 125.8*m.b11 <= 0)

m.c12 = Constraint(expr=m.b11*m.x7 + 0.151162790697674*m.b11*m.x2 - 130.698*m.b11 <= 0)

m.c13 = Constraint(expr=m.b11*m.x7 - 1.16611295681063*m.b11*m.x2 + 46.881*m.b11 >= 0)

m.c14 = Constraint(expr=m.b11*m.x7 + 0.0676818950930626*m.b11*m.x2 - 45.076*m.b11 >= 0)

m.c15 = Constraint(expr=m.b11*m.x2 - 15.9*m.b11 >= 0)

m.c16 = Constraint(expr=   m.b12 + m.b13 == 1)

m.c17 = Constraint(expr=m.b12*m.x9 - 90*m.b12 >= 0)

m.c18 = Constraint(expr=m.b12*m.x9 + 0.6*m.b12*m.x4 - 105*m.b12 <= 0)

m.c19 = Constraint(expr=m.b13*m.x9 - 90*m.b13 <= 0)

m.c20 = Constraint(expr=m.b13*m.x9 - 35*m.b13 >= 0)

m.c21 = Constraint(expr=m.b13*m.x9 - 2.2*m.b13*m.x4 + 9*m.b13 >= 0)
