#  MINLP written by GAMS Convert at 05/24/17 14:04:31
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         44        7       19       18        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         25        1       12       12        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        109       97       12        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.b1 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b2 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b3 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b4 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b5 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b6 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b7 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b8 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b9 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b10 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b11 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b12 = Var(within=Binary,bounds=(0,1),initialize=0)
m.i13 = Var(within=Integers,bounds=(0,100),initialize=0)
m.i14 = Var(within=Integers,bounds=(0,100),initialize=0)
m.i15 = Var(within=Integers,bounds=(0,100),initialize=0)
m.i16 = Var(within=Integers,bounds=(0,100),initialize=0)
m.i17 = Var(within=Integers,bounds=(0,100),initialize=0)
m.i18 = Var(within=Integers,bounds=(0,100),initialize=0)
m.i19 = Var(within=Integers,bounds=(0,100),initialize=0)
m.i20 = Var(within=Integers,bounds=(0,100),initialize=0)
m.i21 = Var(within=Integers,bounds=(0,100),initialize=0)
m.i22 = Var(within=Integers,bounds=(0,100),initialize=0)
m.i23 = Var(within=Integers,bounds=(0,100),initialize=0)
m.i24 = Var(within=Integers,bounds=(0,100),initialize=0)

m.obj = Objective(expr=   100000*m.b1 + 100000*m.b2 + 100000*m.b3 + 100000*m.b4 + 100000*m.b5 + 100000*m.b6
                        + 180000*m.b7 + 180000*m.b8 + 180000*m.b9 + 180000*m.b10 + 180000*m.b11 + 180000*m.b12 + 2*m.i19
                        + 2*m.i20 + 2*m.i21 + 2*m.i22 + 2*m.i23 + 2*m.i24, sense=minimize)

m.c1 = Constraint(expr=   m.i13 >= 0)

m.c2 = Constraint(expr=   m.i14 >= 0)

m.c3 = Constraint(expr=   m.i15 >= 0)

m.c4 = Constraint(expr=   m.i16 >= 0)

m.c5 = Constraint(expr=   m.i17 >= 0)

m.c6 = Constraint(expr=   m.i18 >= 0)

m.c7 = Constraint(expr=   m.i19 >= 0)

m.c8 = Constraint(expr=   m.i20 >= 0)

m.c9 = Constraint(expr=   m.i21 >= 0)

m.c10 = Constraint(expr=   m.i22 >= 0)

m.c11 = Constraint(expr=   m.i23 >= 0)

m.c12 = Constraint(expr=   m.i24 >= 0)

m.c13 = Constraint(expr=   m.b1 + m.b7 <= 1)

m.c14 = Constraint(expr=   m.b2 + m.b8 <= 1)

m.c15 = Constraint(expr=   m.b3 + m.b9 <= 1)

m.c16 = Constraint(expr=   m.b4 + m.b10 <= 1)

m.c17 = Constraint(expr=   m.b5 + m.b11 <= 1)

m.c18 = Constraint(expr=   m.b6 + m.b12 <= 1)

m.c19 = Constraint(expr=m.i13*m.b1 <= 5000)

m.c20 = Constraint(expr=m.i14*m.b2 <= 5000)

m.c21 = Constraint(expr=m.i15*m.b3 <= 5000)

m.c22 = Constraint(expr=m.i16*m.b4 <= 5000)

m.c23 = Constraint(expr=m.i17*m.b5 <= 5000)

m.c24 = Constraint(expr=m.i18*m.b6 <= 5000)

m.c25 = Constraint(expr= - 7500*m.b1 - 7500*m.b7 + m.i13 <= 0)

m.c26 = Constraint(expr= - 7500*m.b2 - 7500*m.b8 + m.i14 <= 0)

m.c27 = Constraint(expr= - 7500*m.b3 - 7500*m.b9 + m.i15 <= 0)

m.c28 = Constraint(expr= - 7500*m.b4 - 7500*m.b10 + m.i16 <= 0)

m.c29 = Constraint(expr= - 7500*m.b5 - 7500*m.b11 + m.i17 <= 0)

m.c30 = Constraint(expr= - 7500*m.b6 - 7500*m.b12 + m.i18 <= 0)

m.c31 = Constraint(expr= - 2000*m.b1 - 2000*m.b7 + m.i13 >= 0)

m.c32 = Constraint(expr= - 2000*m.b2 - 2000*m.b8 + m.i14 >= 0)

m.c33 = Constraint(expr= - 2000*m.b3 - 2000*m.b9 + m.i15 >= 0)

m.c34 = Constraint(expr= - 2000*m.b4 - 2000*m.b10 + m.i16 >= 0)

m.c35 = Constraint(expr= - 2000*m.b5 - 2000*m.b11 + m.i17 >= 0)

m.c36 = Constraint(expr= - 2000*m.b6 - 2000*m.b12 + m.i18 >= 0)

m.c37 = Constraint(expr=   m.i13 - m.i19 == 3000)

m.c38 = Constraint(expr=   m.i14 + m.i19 - m.i20 == 6500)

m.c39 = Constraint(expr=   m.i15 + m.i20 - m.i21 == 7500)

m.c40 = Constraint(expr=   m.i16 + m.i21 - m.i22 == 7000)

m.c41 = Constraint(expr=   m.i17 + m.i22 - m.i23 == 6000)

m.c42 = Constraint(expr=   m.i18 + m.i23 - m.i24 == 6000)

m.c43 = Constraint(expr=   m.i24 >= 2000)
