#  MINLP written by GAMS Convert at 05/24/17 14:04:32
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#          9        6        0        3        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         13       11        2        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         38       34        4        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x2 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x3 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x4 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x5 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x6 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x7 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x8 = Var(within=Reals,bounds=(0,None),initialize=8.373977056)
m.x9 = Var(within=Reals,bounds=(0,None),initialize=13.746133664)
m.x10 = Var(within=Reals,bounds=(0,None),initialize=11.403002848)
m.x11 = Var(within=Reals,bounds=(0,None),initialize=9.409103232)
m.b12 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b13 = Var(within=Binary,bounds=(0,1),initialize=0)

m.obj = Objective(expr=   10000*m.x4 + 2*m.x5 + 2*m.x6 + 3*m.x7 + 25*m.x8 + 12*m.x9 + 30*m.x10 + 15*m.x11 + 425*m.b12
                        + 420*m.b13, sense=minimize)

m.c1 = Constraint(expr=   m.x5 == 0)

m.c2 = Constraint(expr= - m.x2 - m.x4 + m.x6 == -480)

m.c3 = Constraint(expr= - m.x3 + m.x4 - m.x5 - m.x6 + m.x7 == -540)

m.c4 = Constraint(expr=-50*m.x8**0.8*m.x10**0.5 + m.x2 == 0)

m.c5 = Constraint(expr=-50*m.x9**0.8*m.x11**0.5 + m.x3 == 0)

m.c6 = Constraint(expr=   0.02*m.x6 + 0.03*m.x7 + m.x8 + m.x9 + m.x10 + 4*m.x11 + 16*m.b12 + 14*m.b13 <= 45)

m.c7 = Constraint(expr=   m.x2 - 1020*m.b12 <= 0)

m.c8 = Constraint(expr=   m.x3 - 1020*m.b13 <= 0)
