#  MINLP written by GAMS Convert at 05/24/17 14:04:40
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         11        1        5        5        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#          5        3        2        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         29        3       26        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.b1 = Var(within=Binary,bounds=(0,1),initialize=0)
m.b2 = Var(within=Binary,bounds=(0,1),initialize=0)
m.x4 = Var(within=Reals,bounds=(0,2),initialize=0)
m.x5 = Var(within=Reals,bounds=(0,2),initialize=0)

m.obj = Objective(expr=113.902929*m.b1*m.x4 + 110.73895875*m.b2*m.x5, sense=maximize)

m.c2 = Constraint(expr=-(m.x4*m.b1 + m.x5*m.b2) >= -2.6)

m.c3 = Constraint(expr=-(m.x4*m.b1 + m.x5*m.b2) <= 4.7)

m.c4 = Constraint(expr=113.902929*m.b1*m.x4 <= 67)

m.c5 = Constraint(expr=113.902929*m.b1*m.x4 >= 40)

m.c6 = Constraint(expr=110.73895875*m.b2*m.x5 <= 67)

m.c7 = Constraint(expr=110.73895875*m.b2*m.x5 >= 40)

m.c8 = Constraint(expr=-16.4475829476*m.b1*m.x4 >= -8.1748)

m.c9 = Constraint(expr=-15.9907056435*m.b2*m.x5 <= -8.1748)

m.c10 = Constraint(expr=-15.9907056435*m.b2*m.x5 >= -9.6748)

m.c11 = Constraint(expr=   m.b1 + m.b2 <= 1)
