#  MINLP written by GAMS Convert at 05/24/17 14:04:41
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         11       11        0        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         18       11        0        7        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         51       39       12        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.i1 = Var(within=Integers,bounds=(0,7),initialize=0)
m.i2 = Var(within=Integers,bounds=(0,7),initialize=0)
m.i3 = Var(within=Integers,bounds=(0,7),initialize=0)
m.i4 = Var(within=Integers,bounds=(0,7),initialize=0)
m.i5 = Var(within=Integers,bounds=(0,7),initialize=0)
m.i6 = Var(within=Integers,bounds=(0,7),initialize=0)
m.i7 = Var(within=Integers,bounds=(0,7),initialize=0)
m.x8 = Var(within=Reals,bounds=(420,425),initialize=420)
m.x9 = Var(within=Reals,bounds=(1.4,1.6),initialize=1.4)
m.x10 = Var(within=Reals,bounds=(0,0.009),initialize=0)
m.x11 = Var(within=Reals,bounds=(3.3E-5,None),initialize=3.3E-5)
m.x12 = Var(within=Reals,bounds=(10,None),initialize=10)
m.x13 = Var(within=Reals,bounds=(2700,None),initialize=2700)
m.x14 = Var(within=Reals,bounds=(14,None),initialize=14)
m.x15 = Var(within=Reals,bounds=(0,None),initialize=423)
m.x16 = Var(within=Reals,bounds=(0,None),initialize=1.5)
m.x17 = Var(within=Reals,bounds=(0,None),initialize=0.005)

m.obj = Objective(expr=((m.x15 - m.x8)/m.x15)**2 + ((m.x16 - m.x9)/m.x16)**2 + ((m.x17 - m.x10)/m.x17)**2
                       , sense=minimize)

m.c1 = Constraint(expr=   m.x16 == 1.5)

m.c2 = Constraint(expr=   m.x15 == 423)

m.c3 = Constraint(expr=   m.x17 == 0.005)

m.c4 = Constraint(expr= - 14*m.i1 - 28*m.i2 - 44*m.i3 - 16*m.i4 - 43*m.i5 - 30*m.i6 - 48.5*m.i7 + m.x14 == 0)

m.c5 = Constraint(expr=-m.x13/m.x14 + m.x8 == 0)

m.c6 = Constraint(expr= - 2700*m.i1 - 27000*m.i2 - 8000*m.i3 - 4000*m.i4 - 12000*m.i5 - 13000*m.i6 - 20000*m.i7 + m.x13
                        == 0)

m.c7 = Constraint(expr= - 3.3E-5*m.i1 - 0.11*m.i2 - 0.075*m.i3 - 0.02*m.i4 - 0.75*m.i5 - 0.75*m.i6 - 0.015*m.i7 + m.x11
                        == 0)

m.c8 = Constraint(expr= - 15.85*m.i1 - 13.4*m.i2 - 23*m.i3 - 10*m.i4 - 24.9*m.i5 - 19.15*m.i6 - 29.35*m.i7 + m.x12 == 0)

m.c9 = Constraint(expr=-m.x14/m.x12 + m.x9 == 0)

m.c10 = Constraint(expr=-18*m.x11/m.x14 + m.x10 == 0)
