#  NLP written by GAMS Convert at 05/24/17 14:05:36
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#          7        5        0        2        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         10       10        0        0        0        0        0        0
#  FX      9        9        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         30       23        7        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(330.654538068856,330.654538068856),initialize=330.654538068856)
m.x2 = Var(within=Reals,bounds=(196.08017207706,196.08017207706),initialize=196.08017207706)
m.x3 = Var(within=Reals,bounds=(496.836475764179,496.836475764179),initialize=496.836475764179)
m.x4 = Var(within=Reals,bounds=(2.394893910236,2.394893910236),initialize=2.394893910236)
m.x5 = Var(within=Reals,bounds=(17.826105030827,17.826105030827),initialize=17.826105030827)
m.x6 = Var(within=Reals,bounds=(10.927078472094,10.927078472094),initialize=10.927078472094)
m.x7 = Var(within=Reals,bounds=(0.770336450735,0.770336450735),initialize=0.770336450735)
m.x8 = Var(within=Reals,bounds=(312.82860684557,312.82860684557),initialize=312.82860684557)
m.x9 = Var(within=Reals,bounds=(185.153446093697,185.153446093697),initialize=185.153446093697)

m.obj = Objective(expr= - 9*m.x1 - 15*m.x2 + 6*m.x3 + 16*m.x4 + 10*m.x5 + 10*m.x6, sense=minimize)

m.c2 = Constraint(expr= - m.x3 - m.x4 + m.x8 + m.x9 == 0)

m.c3 = Constraint(expr=   m.x1 - m.x5 - m.x8 == 0)

m.c4 = Constraint(expr=   m.x2 - m.x6 - m.x9 == 0)

m.c5 = Constraint(expr=m.x7*m.x8 - 2.5*m.x1 + 2*m.x5 <= 0)

m.c6 = Constraint(expr=m.x7*m.x9 - 1.5*m.x2 + 2*m.x6 <= 0)

m.c7 = Constraint(expr=m.x7*m.x8 + m.x7*m.x9 - 3*m.x3 - m.x4 == 0)
