#  NLP written by GAMS Convert at 05/24/17 14:05:40
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#          7        1        0        6        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#          9        9        0        0        0        0        0        0
#  FX      8        8        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         21       11       10        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.399278843605,0.399278843605),initialize=0.399278843605)
m.x2 = Var(within=Reals,bounds=(1.407367982504,1.407367982504),initialize=1.407367982504)
m.x3 = Var(within=Reals,bounds=(5.282312418082,5.282312418082),initialize=5.282312418082)
m.x4 = Var(within=Reals,bounds=(0.164150759132,0.164150759132),initialize=0.164150759132)
m.x5 = Var(within=Reals,bounds=(0.288709195158,0.288709195158),initialize=0.288709195158)
m.x6 = Var(within=Reals,bounds=(0.23411814164,0.23411814164),initialize=0.23411814164)
m.x7 = Var(within=Reals,bounds=(0.274781680514,0.274781680514),initialize=0.274781680514)
m.x8 = Var(within=Reals,bounds=(0.388708555666,0.388708555666),initialize=0.388708555666)

m.obj = Objective(expr=   m.x1 + m.x2 + m.x3, sense=minimize)

m.c2 = Constraint(expr=833.33252*m.x4/m.x1/m.x6 + 100/m.x6 - 83333.333/(m.x1*m.x6) <= 1)

m.c3 = Constraint(expr=1250*m.x5/m.x2/m.x7 + m.x4/m.x7 - 1250*m.x4/m.x2/m.x7 <= 1)

m.c4 = Constraint(expr=1250000/(m.x3*m.x8) + m.x5/m.x8 - 2500*m.x5/m.x3/m.x8 <= 1)

m.c5 = Constraint(expr=   0.0025*m.x4 + 0.0025*m.x6 <= 1)

m.c6 = Constraint(expr= - 0.0025*m.x4 + 0.0025*m.x5 + 0.0025*m.x7 <= 1)

m.c7 = Constraint(expr= - 0.01*m.x5 + 0.01*m.x8 <= 1)
